<?
  #############################################################################################################
  # Sollte Sie diesen Text in Ihrem Browser lesen, so bestehen gravierende Sicherheitsmngel oder
  # dieser Server ntersttzt kein PHP.
  #############################################################################################################

  #################################################
  # podblogger 0.4                                #
  # by Christian Rotzoll                          #
  #                                               #
  # christian.rotzoll@medien.uni-weimar.de        #
  # Doku unter http://www.rotzoll.de/podblogger   #
  #                                               #
  #################################################
  # Konfugurationsberprfung                     #
  #################################################

  #############################################################################################################
  # Dieses Script wird automatisch gestartet, wenn podblogger neu installiert wurde oder eine
  # neue Version eingespielt wurde. Es hat die Aufgabe zu berprfen, ob das System lauffhig ist
  # oder nach einem Update die ntigen Umbauten an den bestehenden Daten vornehmen.
  #
  # Eine HTML-Ausgabe wird nur vorgenommen, wenn ein Test fehlschlgt bzw. weitere Daten bentigt werden
  # oder der gesamte Check erfolgreich durchlaufen wurde.
  #############################################################################################################

  $installcheck = TRUE;

  // Funktionen und Konfiguration laden
  require("include/funktions_sammlung.inc.php");
  require("include/cgiRelais.class.php");
  require("include/article.class.php");

  // Session starten / laden
  session_start();
  if (!isset($_SESSION['admin']))
  { $_SESSION['admin'] = "notADMIN"; }


  /*

    hier verschiende Vorgnge anbieten:

    # First Installcheck
       - Verzeichnisse
       - Cgi-Upload-Konfig
       - andere Autoeinstellungen
       - Dann Begrungstext / passwort .... und ab in den ADMIN bereich

    # Test Webspace
       - Nur Webspace testen
  */

  ///////////////////////////////////////////////////////
  // NICHT VERGESSEN BEI INSTALLVORGANG
  // prfen, ob CGI-Upload-Relais zum ersten mal
  // und dann automatisch Relais anfordern !!!!!!!!!
  //////////////////////////////////////////////////////


  // ---------------------------------------------
  // ------ TEST 1 - Schreibrechte prfen --------
  // ---------------------------------------------

  // Als erster Schritt wird geprft, ob auf dem Webserver die Schreibrechte fr folgende
  // Verzeichnisse gesetzt sind.

  $verzeichnisse = array();

  //array_push($verzeichnisse, array("dir" => "", 								"chmod" => "777",  "despription" => "podblogger-Installationsverzeichnis"));
  array_push($verzeichnisse, array("dir" => "uploadData/", 						"chmod" => "777",  "despription" => "'uploadData'-Verzeichnis"));
  array_push($verzeichnisse, array("dir" => "publicData/", 						"chmod" => "777",  "despription" => "'publicData'-Verzeichnis"));
  array_push($verzeichnisse, array("dir" => "cgi-perl/", 						"chmod" => "777",  "despription" => "'cgi-perl'-Verzeichnis"));
  array_push($verzeichnisse, array("dir" => "podbloggerData/", 					"chmod" => "777",  "despription" => "'podbloggerData'-Verzeichnis"));
  array_push($verzeichnisse, array("dir" => "podbloggerData/stats/", 			"chmod" => "777",  "despription" => "'stats'-Unterverzeichnis im 'podbloggerData'-Hauptverzeichnis"));
  array_push($verzeichnisse, array("dir" => "podbloggerData/layoutConfigs/", 	"chmod" => "777",  "despription" => "'layoutConfigs'-Unterverzeichnis im 'podbloggerData'-Hauptverzeichnis"));
  array_push($verzeichnisse, array("dir" => "podbloggerData/smarty_cache/",		"chmod" => "777",  "despription" => "'smarty_cache'-Unterverzeichnis im 'podbloggerData'-Hauptverzeichnis"));
  array_push($verzeichnisse, array("dir" => "podbloggerData/smarty_compile/", 	"chmod" => "777",  "despription" => "'smarty_compile'-Unterverzeichnis im 'podbloggerData'-Hauptverzeichnis"));

  // Die Verzeichnisse testen
  $verzeichniss_mit_problemen = array();
  foreach($verzeichnisse as $verzeichnis)
  {
    //if ($verzeichnis['dir'] != "") @chmod($verzeichnis['dir'],$verzeichnis['chmod']);
    if (!checkVerzeichnis($verzeichnis['dir']))
    { array_push($verzeichniss_mit_problemen,$verzeichnis); }
  }

  // Falls es Probleme gab ...
  if (count($verzeichniss_mit_problemen) > 0)
  {
    printHeadline();
    printBaiscinfoOnFirstRun();

    print "Folgende Verzeichnisse bentigen Schreibrechte:<br>\n</strong>";

    foreach($verzeichniss_mit_problemen as $verzeichnis)
    {
      print "- ".$verzeichnis['despription']." bentigt die Rechte: ".$verzeichnis['chmod']."<br>";
    }

    print "<br><br>Mehr Informationen zum Setzten von Schreibrechten unter:<br>";
    print "<a href='http://www.pc-special.net/?idcat=73' target='_blank'>http://www.pc-special.net/?idcat=73</a><br><br>";

    print "<strong>";
    printEndline(menuButtonStr("Schreibrechte erneut prfen", "installcheck.php"));
    exit();
  }

  // ---------------------------------------------
  // ------ TEST 2 - Ist Passwort gesetzt? -------
  // ---------------------------------------------

  if ($ADMIN_PASSWORD=="")
  {

    // prfen, ob ein passwort eingegeben wurde
    if ( isset($_POST['pass_new']) )
    {$new_pass = htmlspecialchars($_POST['pass_new']);}
    else if ( isset($_GET['pass_new']) )
    {$new_pass = htmlspecialchars($_GET['pass_new']);}

    if (!isset($new_pass))
    {
      // Passworteingabe fordern

      printHeadline();
      printBaiscinfoOnFirstRun();

      print "Bitte whlen Sie ein Passwort fr den Administratorenbereich Ihres podblogger-Systems:<br><br>\n</strong>";

      print "<form action='installcheck.php' method='post'><input name='pass_new' type='text' size='15' maxlength='20'>&nbsp;<input type='submit' value=' Passwort setzten '></form>";
      print "<font size='-2'>- mindestens 6 Zeichen lang <br>- keine Leer- und Sonderzeichen <br>- Gro- und Kleinschreibung egal<br></font>";

      print "<strong>";
      printEndline("");
      exit();
    }
    else
    {
      // Passwort testen und ggf. speichern
      if (strlen($new_pass) > 5)
      {
        $ADMIN_PASSWORD = $new_pass;
        updateValueInConfigFile("ADMIN_PASSWORD");

        $_SESSION['admin'] = "ADMIN";
      }
      else
      {
        printHeadline();
        print "Das Passwort muss mindestens 6 Zeichen lang sein.";
        printEndline(menuButtonStr("neues Passwort eingeben", "installcheck.php"));
        exit();
      }
    }
  }

  // ---------------------------------------------
  // ------ TEST 3 - fopen-testen ----------------
  // ---------------------------------------------

  // prfen, ob fopen ignoriert werden soll
  if ( isset($_POST['fopen']) )
  {$fopen_test = htmlspecialchars($_POST['fopen']);}
  else if ( isset($_GET['fopen']) )
  {$fopen_test = htmlspecialchars($_GET['fopen']);}

  if (($UPLOADRELAIS_MODE != "off") && (!isset($fopen_test)))
  {

    // 1. Versuch - Internet: Ist Zugriff auf CGI-Upload-Relais Vermittlungstelle mglich ?
    if (@fopen(AUTO_RELAIS_SCRIPT,"r"))
    {
      $fopen_possible = TRUE;
    }
    else
    {
      // 2. Versuch - eigener Server : Ist Zugriff auf die eigene Indexseite mglich ?
      if (@fopen("http://".HTTP_BASISADRESSE."/index.php","r"))
      {$fopen_possible = TRUE;}
      else
      {$fopen_possible = FALSE;}
    }

    // Wenn kein Zugriff mglich war Fehlermeldung ausgeben ...
    if (!$fopen_possible)
    {
      printHeadline();
      printBaiscinfoOnFirstRun();

      print "Es gibt scheinbar ein Problem mit dem PHP-Befehl 'fopen'.<br><br>\n</strong>";

      print "Das bedeutet: Ihr podblogger ist zwar einsatzfhig, doch kann es beim Einladen (Upload) von groen MP3-Dateien (ber 2MB) zu Problemen kommen.<br><br>".
            "<font size='-2'>- Whlen Sie die Option 'weiter', um podblogger ohne Upload-Erweiterung (CGI-Upload-Relais) zu verwenden.<br>".
            "- Whlen Sie die Option 'erneut versuchen', die automatische Konfiguration zu wiederholen.</font>";

      print "<strong>";
      printEndline(menuButtonStr("'fopen' erneut prfen", "installcheck.php")." ".menuButtonStr("podblogger ohne CGI-Upload-Relais benutzen", "installcheck.php?fopen=no"));
      exit();
    }
  }
  else
  {
    if ($UPLOADRELAIS_MODE != "off")
    {
      // Der Benutzer will vorerst ohne Relais arbeiten (weil fopen nicht funktioniert)
      $UPLOADRELAIS_MODE = "off";
      updateValueInConfigFile("UPLOADRELAIS_MODE");
    }
  }


  // ---------------------------------------------
  // ------ TEST 3 - CGI-Uploadrelais-Konfig -----
  // ---------------------------------------------

  // prfen, ob fopen ignoriert werden soll
  if ( isset($_POST['relais']) )
  {$relais_test = htmlspecialchars($_POST['relais']);}
  else if ( isset($_GET['relais']) )
  {$relais_test = htmlspecialchars($_GET['relais']);}

  if (($UPLOADRELAIS_MODE == "auto") && (!isset($relais_test)))
  {
    if ($LOKAL_PERL == "TRUE")
    {
      // Testen, ob Perl im verzeichnis 'cgi-perl' funktioniert
      $perlantwort = "FALSE";
      $fp = @fopen("http://".HTTP_BASISADRESSE."cgi-perl/download.cgi?request=perltest","r");
      $perlantwort = @fread($fp,128);
      @fclose($fp);

      if ($perlantwort=="TRUE")
      {
        // Das lokale CGI-Upload-Relais funktioniert

        // lokale CGI-Upload-Relais in Konfig eintragen
        $UPLOADRELAIS_UP_ADRESS = "http://".HTTP_BASISADRESSE."cgi-perl/upload.cgi";
        updateValueInConfigFile("UPLOADRELAIS_UP_ADRESS");
        $UPLOADRELAIS_DOWN_ADRESS = "http://".HTTP_BASISADRESSE."cgi-perl/download.cgi";
        updateValueInConfigFile("UPLOADRELAIS_DOWN_ADRESS");

      }
      else
      {
        // Das lokale CGI-Upload-Relais hat nicht geantwortet

        // prfen, ob podblogger auf einem localhost ausgefhrt wird
        if ( (strstr(strtolower(HTTP_BASISADRESSE),'localhost') != FALSE) || (strstr(strtolower(HTTP_BASISADRESSE),'127.0.0.1') != FALSE))
        {
          // podblogger wird auf einer localen Maschine ausgefhrt
          // daher kann es nicht mit externen Upload-Relais kommunizieren
          printHeadline();
          printBaiscinfoOnFirstRun();

          print "Die Erweiterung fr den problemlosen Upload von groen MP3-Dateien konnte nicht automatisch konfiguriert werden.<br><br>\n</strong>";

          print "Der Grund: Sie fhren podblogger in einer Testumgebung auf Ihrem eigenen Rechner aus. Auf einem Webserver im Internet wre eine automatische Konfiguration mglich.<br><br>";

          print "Das bedeutet: Ihr podblogger ist zwar einsatzfhig, doch kann es beim Einladen von groen MP3-Dateien (ber 2MB) zu Problemen kommen.<br><br>".
                "<font size='-2'>- Whlen Sie die Option 'weiter', um podblogger ohne Upload-Erweiterung (CGI-Upload-Relais) zu verwenden.<br>".
                "- Whlen Sie die Option 'erneut versuchen', die automatische Konfiguration zu wiederholen.</font>";

          print "<strong>";
          printEndline(menuButtonStr("erneut versuchen", "installcheck.php")." ".menuButtonStr("weiter", "installcheck.php?relais=no"));
          exit();
        }


        // Versuchen externes CGI-Upload-Relais automatisch zu konfigurieren
        elseif ($relais = cgiRelais::getRelaisFromNet($PODBLOGGER_VERSION))
        {
          // es konnte ein externes Relais von der Vermittlungsstelle geladen werden

          // externes CGI-Upload-Relais in Konfig eintragen
          $UPLOADRELAIS_UP_ADRESS = $relais->getHttpAdress_Uploadscript();
          updateValueInConfigFile("UPLOADRELAIS_UP_ADRESS");
          $UPLOADRELAIS_DOWN_ADRESS = $relais->getHttpAdress_Downloadscript();
          updateValueInConfigFile("UPLOADRELAIS_DOWN_ADRESS");

          // Lokales Perl deaktivieren
          $LOKAL_PERL = "FALSE";
          updateValueInConfigFile("LOKAL_PERL");
        }
        else
        {
          // es war keine Verbindung zur Relais-Vermittlungsstelle mglich
          printHeadline();
          printBaiscinfoOnFirstRun();

          print "Die Erweiterung fr den problemlosen Upload von groen MP3-Dateien konnte nicht automatisch konfiguriert werden.<br><br>\n</strong>";

          print "Der Grund: Es konnte keine Verbindung zur automatischen Vermittlungsstelle im Intenet aufgebaut werden.<br><br>";

          print "Das bedeutet: Ihr podblogger ist zwar einsatzfhig, doch kann es beim Einladen von groen MP3-Dateien (ber 2MB) zu Problemen kommen.<br><br>".
                "<font size='-2'>- Whlen Sie die Option 'weiter', um podblogger ohne Upload-Erweiterung (CGI-Upload-Relais) zu verwenden.<br>".
                "- Whlen Sie die Option 'erneut versuchen', die automatische Konfiguration zu wiederholen.</font>";

          print "<strong>";
          printEndline(menuButtonStr("erneut versuchen", "installcheck.php")." ".menuButtonStr("weiter", "installcheck.php?relais=no"));
          exit();
        }
      }
    }
  }
  else
  {
    if ($UPLOADRELAIS_MODE == "auto")
    {
      // Der Benutzer will vorerst ohne Relais arbeiten
      $UPLOADRELAIS_MODE = "off";
      updateValueInConfigFile("UPLOADRELAIS_MODE");
    }

    // Lokales Perl deaktivieren
    $LOKAL_PERL = "FALSE";
    updateValueInConfigFile("LOKAL_PERL");
  }

  // ---------------------------------------------
  // ------ Updatekonvertierungen ----------------
  // ---------------------------------------------

  //if ($PODBLOGGER_STATUS == "UPDATE")
 // {
     convert_mp3Inf();
     // Versionseintrag aktualisieren
     $PODBLOGGER_VERSION = "0.4";
     updateValueInConfigFile("PODBLOGGER_VERSION");
 // }

  // ---------------------------------------------
  // ------ Abschlusbesttigung ------------------
  // ---------------------------------------------

    printHeadline();

    print "Der Installcheck wurde erfolgreich beendet.";

    // Vermerken, dass Infotext ausgegeben wurde
    $PODBLOGGER_STATUS = "READY";
    updateValueInConfigFile("PODBLOGGER_STATUS");

    printEndline(menuButtonStr("zur podblogger-Startseite", "index.php")." ".menuButtonStr("zum ADMIN-Bereich fr weitere Einstellungen", "admin.php?aktion=config&mode=menu"));

  /*

    // --------------------------------------------
    // ------ SPEICHERPLATZ BERPRFEN ------------
    // --------------------------------------------

    //
    // Versuchen Werte ber PHP-Befehle zu erfahren
    //
    if ($freeByte = diskfreespace("uploadData"))
    {
      // Dieser Wert hat nur eine Aussage, wenn er unter der angegebenen $WEBSPACE_LIMIT-Grenze liegt,
      // weil auf vielen Server der insgesammt freihe Space angegeben wird und nicht der fr den Benutzer
      // des podbloggersystems

      print("<!--  verfgbarer Webspace betraegt: ".$freeByte."Byte -->");

      if (($freeByte + $schonVerbraucht) < $WEBSPACE_LIMIT)
      {
        printProblembeschreibung('ERROR:WebspaceLimitToHigh');
        $pruefung = FALSE;
      }
      else
      {
        if ($freeMByte < 18)
        {
          Meldung("Problem","Der verfgbare Webspace ist zu gering. Es wird zwangslaeufig zu Problemen kommen.");
          $pruefung = FALSE;
        }
      }
    }
    else
    {
      $freeMByte = 0;
    }

    if ($pruefung)
    {
    //
    // ber einen schreibtest prfen, ob Webspace wirklich verfgbar (da PHP nicht auf allen Servern korrekte Werte gibt)
    //
    if ($WEBSPACE_LIMIT)
    {
      // Wenn Webspacelimit gesetzt ist ---> prfen, ob Datenmennge wirklich geschrieben werden kann
      $testSpace = $WEBSPACE_LIMIT - $schonVerbraucht;
      // aber maximal 150 MB testen
      if ($testSpace > (150 * 1024 * 1024)) {$testSpace = (150 * 1024 * 1024);}
    }
    else
    {
      // Wenn kein Webspacelimit gesetzt wurde ---> prfen, ob mindestens 20 MB geschrieben werden knnen
      $testSpace = 20 * 1024 * 1024; // 18 MB
    }
    // Schreibtest
    $wroteFilesize = 0;
    $writeCycles = round($testSpace/(16*1024));
    $writeData = "";
    for ($c=0; $c<1024; $c++)
    {$writeData .= "1234567890ABCDEF";}
    if ($fp = @fopen("test.tmp","w+"))
    {
      for ($i=0; $i<$writeCycles; $i++)
      {
        @fwrite($fp,$writeData);
      }
      @fclose($fp);
      $wroteFilesize =  filesize("test.tmp");
      @unlink("test.tmp");
    }

    // Auswerten, ob es geklappt hat
    if (!(($wroteFilesize + 1024) < $testSpace))
    {
      Meldung("OK","Es wurden ".round($testSpace/(1024*1024))."MB Webspace erfolgreich getestet.");
    }
    else
    {
      Meldung("Problem","Es konnten nur ".round($wroteFilesize/(1024*1024))."MB erfolgreich geschrieben werden.<br><br>");
      printProblembeschreibung('ERROR:WebspaceLimitToHigh');
    }
    }


    // --------------------------------------------
    // ------ MAIL BERPRFEN ---------------------
    // --------------------------------------------

    if ($EMAIL_BENACHRICHTIGUNG == "JA")
    {

      print "<br>";
      print "<strong>Prfe eMail-Benachrichtigung:</strong><br>";

      if (@mail($ADMIN_EMAIL, "podblogger: Systemtest", "Wenn Sie diese Mail erhalten, ist das pobblogger-System in der Lage Ihnen Benachrichtigung-Mails zu zusenden."))
      {
        printProblembeschreibung('ERROR:MailHinweis1');
      }
      else
      {
        printProblembeschreibung('ERROR:MailHinweis2');
      }
    }

    $menu =
    '<strong>[</strong> <a href="installcheck.php?step=5">zur&uuml;ck</a> <strong>]</strong>&nbsp;'.
    '<strong>[</strong> <a href="installcheck.php?step=6">Test erneut durchf&uuml;hren</a> <strong>]</strong>&nbsp;'.
    '<strong>[</strong> <a href="installcheck.php?step=7">weiter</a> <strong>]</strong>&nbsp;';
    printEndline($menu);
  }

  // ---------------------------------------------
  // ------ Schritt 7 ----------------------------
  // ---------------------------------------------

  elseif ($step == 7)
  {

    // htaccess ins Verzeichnis uploadData schreiben ... als Zeichen dafr, dass installcheck durchlaufen wurde.
    if ($fp = fopen("uploadData/.htaccess","w+"))
    {
      @fwrite($fp,"# Datei zum Regeln der dynamischen Zugriffskontrolle\n\rOrder deny,allow\n\rDeny from all");
      @fclose($fp);
    }
    else
    {
      print "Vorsicht: Die Datei '.htaccess' konnte nicht ins Verzeichnis 'uploadData' geschrieben werden. installcheck beendet.";
      exit();
    }

    $menu =  '<strong>[</strong> <a href="javascript:history.go(-1);">zur&uuml;ck</a> <strong>]</strong>&nbsp;';
    printHeadline(7);

    print "<strong>Installcheck abgeschlossen.</strong><br><br>";

    ?>
    Alle wichtigen Einstellungen fr den Betrieb von podblogger auf Ihrem Server wurden erfolgreich (wenn keine Probleme gelistet wurden) berprft.<br>
    Weitere Informationen zu podblogger finden Sie auf der <a href="http://www.rotzoll.de/podblogger" target="_blank">Homepage</a> oder im <a href="http://xpress.apocalypsys.net/forum/index.php?c=4" target="_blank">Forum</a><br><br>
    <?
    if ($_SESSION['grund'] == "ersterStart")
    {
      print "<strong>Sie knnen das System nun starten: <a href ='http://". HTTP_BASISADRESSE."'>http://". HTTP_BASISADRESSE."</a></strong><br><br>Viel Spa mit podblogger :-)<br>";
    }
    elseif ($_SESSION['grund'] == "adminMenue")
    {
      print "<strong>Sie knnen nun zum ADMIN-Bereich zurckkehren: <a href ='http://". HTTP_BASISADRESSE."/admin.php'>http://". HTTP_BASISADRESSE."/admin.php</a><strong><br>";
      $menu .=
      '<strong>[</strong> <a href="admin.php">ADMIN</a> <strong>]</strong>&nbsp;';
    }
    else
    {
      $menu .=
      '<strong>[</strong> <a href="index.php">Startseite</a> <strong>]</strong>&nbsp;';
    }

    printEndline($menu);
  }
  else
  {
    print "unbekannter Schritt $step";
  }

  */

  // --------------------------------------------
  // ------ FUNKTIONEN --------------------------
  // --------------------------------------------

  // Testet ob die Schreibrechte fr ein Verzeichnis gesetzt ist
  function checkVerzeichnis($verzeichnispfad)
  {
    if ($fp = @fopen($verzeichnispfad."test.tst","w"))
    {
      // Testdatei schreiben / lesen / lschen
      fwrite($fp,"TEST");
      fclose($fp);
      $fp = @fopen($verzeichnispfad."test.tst","r");
      $text = @fread($fp,1024);
      @fclose($fp);
      @unlink($verzeichnispfad."test.tst");

      // Test auswerten
      if ($text == "TEST")
      { return TRUE; }

    }
    // Wenn Test nicht positiv war
    return FALSE;
  }

  // Konvertiert die alten mp3Inf-Dateien (Array) zu aktuellen article-Objekten
  function convert_insertTemplates()
  {
    return FALSE;
  }

  // Konvertiert die alten mp3Inf-Dateien (Array) zu aktuellen article-Objekten
  function convert_mp3Inf()
  {
    // Im Verzeichnis publicData
    $files = getFilesFromDirWithEnding("publicData","inf");
    //print serialize($files);
    $i = 0;
    foreach ($files as $file)
    {
      $i++;
      article::convert_ArrayInf_2_ObjectInf("publicData/".$file, (article::createUniqueID())."old".$i);
    }

    // Im Verzeichnis uploadData
    $files = getFilesFromDirWithEnding("uploadData","inf");
    foreach ($files as $file)
    {
      $i++;
      article::convert_ArrayInf_2_ObjectInf("uploadData/".$file,article::createUniqueID().$i);
    }

    return TRUE;
  }


  // Wenn der Benutzer installcheck zu erstnmal nach einer Installation oder nach einem Update
  // durchluft, dann gibt diese Funktion einen Infotext aus.
  function printBaiscinfoOnFirstRun()
  {
    if ($GLOBALS['PODBLOGGER_NEXTSTEP'] == "INSTALLCHECK_FIRST")
    {
      if 	 ($GLOBALS['PODBLOGGER_STATUS'] == "INSTALL")
      {
        // Infotext bei frischem Install von podblogger
        print "Danke, dass Sie sich fr podblogger entschieden haben.<br><br></strong>Beim ersten Zugriff auf das System wurde automatisch der 'Installcheck' gestartet. ".
              "Er wird Sie durch die Installation von podblogger auf ihrem Webserver begleiten. ".
              "Es liegt folgender Installationshinweis fr Sie vor ...<strong><br><br>";
      }
      elseif ($GLOBALS['PODBLOGGER_STATUS'] == "UPDATE")
      {
        // Infotext bei Update von podblogger
        print "Sie haben eine neue Version von podblogger auf ihrem Webserver installiert. ".
              "Der 'Intstallcheck' wurde daher erneut ausgefhrt.<br><br>".
              "</strong>Es liegt folgender Installationshinweis fr Sie vor ...<strong><br><br>";
      }

      // Vermerken, dass Infotext ausgegeben wurde
      $GLOBALS['PODBLOGGER_NEXTSTEP'] = "INSTALLCHECK";
      updateValueInConfigFile("PODBLOGGER_NEXTSTEP");
    }
    else
    {
      // Einleitungstext, wenn der installscheck erneut einen Fehler gefunden hat
        print "</strong>Test durchgefhrt (Zeit: ".date("H:i:s").")<br><br><strong>";
    }
  }

  function printHeadline()
  {
  ?>
    <html>
    <head>
      <title>podblogger installcheck</title>
    </head>
    <body>
    <table width="100%" border="0" cellpadding="3" cellspacing="1" bordercolor="#000000" bgcolor="#000000">
      <tr>
        <td bgcolor="#FFFFFF"> <div align="left">
            <table width="100%" border="0" cellspacing="1" cellpadding="1">
              <tr>
                <td width="230" height="21" align="left" valign="middle">
      <a href="http://www.rotzoll.de/podblogger">
      <img src="htmlContent/grafiken/podblogger_logo.gif" width="209" height="77" border="0" align="absmiddle"></a></td>
                <td align="left" valign="middle">
                <font size="6" face="Arial, Helvetica, sans-serif"><strong>Installcheck</strong></font></td>
                <td width="120" align="center" valign="middle">
                <font size="2" face="Arial, Helvetica, sans-serif"><strong>
                 &nbsp;
                </strong></font></td>
              </tr>
            </table>
          </div></td>
      </tr>
    </table>
    <font size="3" face="Arial, Helvetica, sans-serif"> <br><strong>
  <?
  }

  function printEndline($content)
  {
  ?>
    </strong><br><br>
    <table width="100%" border="0" cellpadding="3" cellspacing="1" bordercolor="#000000" bgcolor="#000000">
      <tr>
        <td bgcolor="#FFFFFF"> <div align="left">
            <table width="100%" border="0" cellspacing="1" cellpadding="1">
              <tr>
                <td height="21" align="left" valign="middle">
                <font size="2" face="Arial, Helvetica, sans-serif">&nbsp;
                <? print $content; ?>
                </font></td>
                <td width="120" align="center" valign="middle">
                <font size="1" face="Arial, Helvetica, sans-serif">programmiert
                  von <br>
                  christian rotzoll</font></td>
              </tr>
            </table>
          </div></td>
      </tr>
    </table>
    </font>
    </body>
    </html>
    <?
  }
?>