<?
  #################################################
  # podblogger 0.4.2                              #
  # by Christian Rotzoll                          #
  #                                               #
  # christian.rotzoll@medien.uni-weimar.de        #
  # Doku unter http://www.rotzoll.de/podblogger   #
  #                                               #
  #################################################
  # ADMINBEREICH-Script                           #
  #################################################

  require("include/funktions_sammlung.inc.php");
  require('include/bbcode.inc.php');
  require('include/LogFile.class.php');
  require('include/smarty/Smarty.class.php');
  require('include/ID3v1x.class.php');
  require('include/article.class.php');
  require('include/layout.class.php');
  require("include/cgiRelais.class.php");

  session_start();

  if (!isset($_SESSION['admin']))
  { $_SESSION['admin'] = "notADMIN"; }

  if (issetPostGet('pass'))
  {
    // ----- Passwort prfen und manual upload import
    $pass = getPostGetText('pass');
    if ($pass == $ADMIN_PASSWORD)
    {
      $_SESSION['admin'] = "ADMIN";
    }
    else
    {
      $_SESSION['admin'] = "notADMIN";
      ?>
      <html>
      <head>
        <title>ADMINBEREICH - Login</title>
        <link rel="stylesheet" href="htmlContent/design.css" type="text/css">
      </head>
      <body>
        <? printHeadline("Administration","LOGIN"); ?>
        <span class="text">
        <b>Passwort ist falsch.</b><br><br>
        Bitte die Zurck-Funktion des Browsers benutzen.<br><br><br>
        <? printEndline('<strong>[</strong> <a href="javascript:history.go(-1)">Zur&uuml;ck</a> <strong>]</strong>'); ?>
        </span>
      </body>
      </html>
      <?
      exit();
    }
  }

  if ($_SESSION['admin'] == "notADMIN")
  {
    // ---- Login-Formular ausgeben
    ?>
    <html>
      <head>
        <title>ADMINBEREICH - Login</title>
        <link rel="stylesheet" href="htmlContent/design.css" type="text/css">
      </head>
      <body>
        <? printHeadline("Administration","LOGIN"); ?>
        <span class="text">
        Bitte Passwort eingeben:<br>
        <form method="post" action="admin.php">
          <input type="password" name="pass"><br><br>
          <input type="submit" value="LogIn">
        </form>
        <? printEndline(menuButtonStr("zurck","javascript:history.go(-1)")); ?>
                </span>
      </body>
    </html>
    <?
  }
  else if ($_SESSION['admin'] == "ADMIN")
  {


      // ##### manual upload import #################
      // imports all files that were loaded to publicDATA by FTP
      
      // load article-File names
      $articlefiles = getFilesFromDirWithEnding("publicData","article");     
      // load articleobjects in publicData
      $arcitlemp3s = Array();
      foreach($articlefiles as $name)
      {
        $obj = article::loadArticleFromFile("publicData/".$name);
        array_push($arcitlemp3s,$obj->getFile());
        #print $obj->getFile()."<br>\n";
      }
      
      // load mp3-filenames in publicData
      $mp3files = getFilesFromDirWithEnding("publicData","mp3"); 
      #foreach ($mp3files as $file) {print $file."<br>\n";}
      $mp3notlisted = Array();       
      foreach($mp3files as $file)
      {
        if (!in_array($file,$arcitlemp3s))
        {
          #print $file." is NOT listed<br>\n";             
          array_push($mp3notlisted,$file);
        }   
      }
      
      // if there are not listed mp3s make article objects for them
      $i=0;
      foreach ($mp3notlisted as $mp3)
      { $i+=100;
        // create article object
        $article = new article(article::createUniqueID()); 
        $article->setUnixTime(time()+$i);
        $article->setTitle($mp3);
        $article->setDescription("[b]manual upload - please edit data before making public[/b]");
        $article->setCategory("MANUAL UPLOAD");
        $article->setFile($mp3);   
        print $article->getUnixTime()."<br>\n";
        
        
        // save article in uploadData-dir  
        $article->save("uploadData");        
        // move file to uploadData-dir 
        movefile("publicData/".$mp3,"uploadData/".$mp3);        
      }
    // ##### END manual upload import ################# 

    $show_menu = 1;

    if (issetPostGet('aktion'))
    {


      $aktion = getPostGetText('aktion');


      // -------------------------------------------------
      // --- Logout aus dem System
      // -------------------------------------------------
      if ($aktion == "logout")
      {
        $_SESSION['admin'] = "notADMIN";
        session_destroy();
        ?>
        <html>
        <head>
          <title>ADMINBEREICH - LogOut</title>
          <link rel="stylesheet" href="htmlContent/design.css" type="text/css">
        </head>
        <body>
        <? printHeadline("Administration","LOGOUT"); ?>
          <span class="text">
          <br><b>Logout erfolgreich.</b><br><br>
          <br>

        <? printEndline(menuButtonStr("Startseite","index.php")); ?>
          </span>
        </body>
        </html>
      <?
      exit();
      }

      // -------------------------------------------------
      // --- Download aus dem geschtzten Upload-Bereich
      // -------------------------------------------------
      else if ($aktion == "download")
      {
        if (issetPostGet('dat')) {$dat=getPostGetText('dat');}
        else {die("FEHLER: Parameter dat fehlt.");}

        $artikel = article::loadArticleFromFile('uploadData/'.$dat);
        $dat = $artikel->getFile();

		// Header fr Download einstellen
		if      (getDateiEndung($dat) == "mp3") {header("Content-type: audio/mpeg");}
		else if (getDateiEndung($dat) == "ogg") {header("Content-type: audio");}
		else if (getDateiEndung($dat) == "avi") {header("Content-type: video/x-msvideo");}
		else if (getDateiEndung($dat) == "mov") {header("Content-type: video/quicktime");}
		else 									{header("Content-type: audio");}
		header("Content-Disposition: attachment; filename=".$dat);

		// Die originale Datei
		readfile('uploadData/'.$dat);
      }

      // -------------------------------------------------
      // --- Datei lschen
      // -------------------------------------------------
      else if ($aktion == "delete")
      {
        if (issetPostGet('dat')) {$dat=getPostGetText('dat');}
        else {die("FEHLER: Parameter dat fehlt.");}
        if (issetPostGet('verzeichnis')) {$verzeichnis=getPostGetText('verzeichnis');}
        else {die("FEHLER: Parameter verzeichnis fehlt.");}

        $artikel = article::loadArticleFromFile($verzeichnis.'/'.$dat);

        @unlink($verzeichnis."/".$artikel->getFile());
        @unlink($verzeichnis."/".$dat);

        // Statusdatei auch lschen
        $id = str_replace("/","___v___",$verzeichnis."/".$artikel->getFile());
        @unlink("stats/".$id.".log");
      }

      // -------------------------------------------------
      // --- Artikelinformationen editieren
      // -------------------------------------------------
      else if ($aktion == "edit")
      {
        if (issetPostGet('dat')) {$dat=getPostGetText('dat');}
        else {die("FEHLER: Parameter dat fehlt.");}
        if (issetPostGet('verzeichnis')) {$verzeichnis=getPostGetText('verzeichnis');}
        else {die("FEHLER: Parameter verzeichnis fehlt.");}
        if (issetPostGet('schritt')) {$schritt=getPostGetInt('schritt');}
        else {die("FEHLER: Parameter schritt fehlt.");}

        if ($schritt==1)
        {
            // 1. Editiermaske ausgeben

          // SMARTY Template-Datenobjekt anlegen und konfigurieren
          $smarty = new Smarty;

          $smarty->template_dir 	= 'htmlContent/system_templates/';
          $smarty->compile_dir 		= SMARTYPATH_COMPILE;
          $smarty->config_dir 		= SMARTYPATH_CONFIG;
          $smarty->cache_dir 		= SMARTYPATH_CACHE;


          $artikel = article::loadArticleFromFile($verzeichnis."/".$dat);

            if ($artikel->checkValid())
            {
              $show_menu = FALSE;

              // Endung von Dateiname entfernen
              $namensteile = explode(".",stripslashes($artikel->getFile()));
              array_pop($namensteile);
              $dateinameOhneEndung = implode(".",$namensteile);

              // SMARTY Werte definieren
              $smarty->assign('article_file', 			$dateinameOhneEndung);
              $smarty->assign('article_title', 			$artikel->getTitle());
              $smarty->assign('article_description',	$artikel->getDescription());
              $smarty->assign('article_category', 		$artikel->getCategory());
              $smarty->assign('article_category_array', $PODCAST_CATEGORY);
              $smarty->assign('article_authorName', 	$artikel->getAuthorName());
              $smarty->assign('article_authorMail', 	$artikel->getAuthorMail());
              $smarty->assign('article_date', 			date("d.m.Y;H:i",$artikel->getUnixTime()));
              $smarty->assign('article_articlefile', 	$artikel->getID().".article");
              $smarty->assign('article_id', 			$artikel->getID());
              $smarty->assign('article_time', 			$artikel->getUnixTime());
              $smarty->assign('article_dir', 			$verzeichnis);

              /*
              // Editiermaske ausgeben
              ?>
              <html>
                <head>
                  <title>ADMINBEREICH</title>
                  <link rel="stylesheet" href="htmlContent/design.css" type="text/css">
                </head>
                <body>
                 <? printHeadline("Dateiinformationen &auml;ndern","ADMIN"); ?>
                  <span class="text">

                    <?
                      print ('<form method="post" action="admin.php">');
                      print ('<input type="hidden" name="aktion" value="edit">');
                      print ('<input type="hidden" name="schritt" value="2">');
                      print ('<input type="hidden" name="dat" value="'.$dat.'">');
                      print ('<input type="hidden" name="articleid" value="'.$artikel->getID().'">');
                      print ('<input type="hidden" name="verzeichnis" value="'.$verzeichnis.'">');
                      print ('<input type="hidden" name="zeit" value="'.$artikel->getUnixTime().'">');



                    ?>
                    Dateiname:<br>
                    <? print '<input name="neuerdateiname" type="text" id="neuerdateiname" size="50" maxlength="128" value="'.$dateinameOhneEndung.'">' ?><br>
                    (ohne Endung / keine Leer- bzw. Sonderzeichen)
                    <p>
                    Titel des Beitrages:<br>
                    <? print '<input name="titel" type="text" id="titel" size="50" maxlength="256" value="'.$artikel->getTitle().'">' ?>
                    </p>
                    <p>
                    Kategorie des Beitrags:<br>
                    <select name="kategorie" size="1">
                     <?
                       foreach ($PODCAST_KATEGORIEN as $kat)
                       {
                         if ($kat == $artikel->getCategory())
                         { print "<option selected>"; }
                         else
                         { print "<option>"; }
                         print "$kat</option>";
                       }
                     ?>
                    </select>
                    </p>
                    <p>Beschreibung des Beitrages:<br>
                    <textarea name="beschreibung" cols="60" rows="6" wrap="VIRTUAL" id="beschreibung"><? print str_replace("<br>","\n",$artikel->getDescription()); ?></textarea>
                    <br>Der Beschreibungstext kann mit <a href="http://de.wikipedia.org/wiki/BBcode" target="_blank">BBCode</a> formatiert werden.
                    <br><font size="1">([b], [i], [img], [url], [link], [list], [*])</font>
                    </p>
                    <p>Name des Autors:<br>
                    <? print '<input name="autor_name" type="text" id="autor_name" size="50" maxlength="256" value="'.$artikel->getAuthorName().'">' ?>
                    </p>
                    <p>E-Mail des Autors:<br>
                    <? print '<input name="autor_mail" type="text" id="autor_mail" size="50" maxlength="256" value="'.$artikel->getAuthorMail().'">' ?>
                    </p>
                    <p><input type="submit" value="Abschicken"></p>

                    </form>
                    <br>

               <? printEndline('<b>[</b> <a href="admin.php">zurck</a> <b>]</b>'); ?>
                  </span>
                </body>
              </html>
              <? */
             // Template-Seite ausgeben
             $smarty->display('system_article_edit.tpl');
            }
        } // Ende if schritt == 1

        else if ($schritt==2)
        {
          // 2. nderungen speichern

          if (issetPostGet('dat'))
          {$filename = getPostGetText('dat');}
          else { die("FEHLER: Es fehlen Parameter!");}

          if (issetPostGet('articleid'))
          {$articleid = getPostGetText('articleid');}
          else { die("FEHLER: Es fehlen Parameter!");}

          $artikel = article::loadArticleFromFile($verzeichnis."/".$dat);

          // ---- Parameter bernehmen

          $orgFilename = $artikel->getFile();
          $orgEndung = getDateiEndung($artikel->getFile());

          if (issetPostGet('neuerdateiname'))
          {$neuerdateiname = getPostGetText('neuerdateiname');}
          else { die("FEHLER: Es fehlen Parameter!");}

          $neuerdateiname = stripslashes($neuerdateiname);
          $neuerdateiname = strip_tags($neuerdateiname);

          if (strlen($neuerdateiname) > 0)
          {
            $neuerdateiname = $neuerdateiname.".".$orgEndung;
            if ( file_exists($verzeichnis."/".$neuerdateiname) )
            {
              $ausgabe = "Hinweis: Alter Dateiname wurde beibehalten, da schon eine Datei unter dem neuen Name existiert.";
              $neuerdateiname = $orgFilename;
            }
          }
          else
          {
            $ausgabe = "Hinweis: Der Dateiname muss mindestens ein Zeichen lang sein.";
            $neuerdateiname = $orgFilename;
          }


          if (issetPostGet('titel'))
          {$titel = getPostGetText('titel');}
          else { die("FEHLER: Es fehlen Parameter!");}
          $titel = strip_tags($titel);

          if (issetPostGet('zeit'))
          {$zeit = getPostGetInt('zeit');}
          else { die("FEHLER: Es fehlen Parameter!");}

          if (issetPostGet('beschreibung'))
          {$beschreibung = getPostGetText('beschreibung');}
          else { die("FEHLER: Es fehlen Parameter!");}
          $beschreibung = str_replace("\n\r","\n",$beschreibung);
          $beschreibung = str_replace("\r\n","\n",$beschreibung);

          if (issetPostGet('autor_name'))
          {$autor_name = getPostGetText('autor_name');}
          else { die("FEHLER: Es fehlen Parameter!");}
          $autor_name = strip_tags($autor_name);

          if (issetPostGet('autor_mail'))
          {$autor_mail = getPostGetText('autor_mail');}
          else { die("FEHLER: Es fehlen Parameter!");}
          $autor_mail = strip_tags($autor_mail);

          if (issetPostGet('kategorie'))
          {$kategorie = getPostGetText('kategorie');}
          else { die("FEHLER: Es fehlen Parameter!");}

          if (issetPostGet('date'))
          {$date = getPostGetText('date');}
          else { die("FEHLER: Es fehlen Parameter!");}

          // prfen, ob neues Publikationsdatum valid
          if (!$unixdate = getUnixTimeFromStr($date))
          {
            $unixdate = $artikel->getUnixTime();
          }

          $autor_telefon = $artikel->getAuthorXtra();
          $autor_bemerkung = $artikel->getAuthorComment();

          if ($titel != "")
          {
            // ---- Eingaben speichern
            $artikel = new article($articleid);

            $artikel->setUnixTime($unixdate);
            $artikel->setFile($neuerdateiname);
            $artikel->setTitle($titel);
            $artikel->setDescription($beschreibung);
            $artikel->setAuthorName($autor_name);
            $artikel->setAuthorMail($autor_mail);
            $artikel->setAuthorXtra($autor_telefon);
            $artikel->setAuthorComment($autor_bemerkung);
            $artikel->setCategory($kategorie);

            if (!$artikel->save($verzeichnis))
            { die("\nFEHLER: In Verzeichnis '$verzeichnis' koennen keine Dateien angelegt werden. Bitte Schreibrechte pruefen.");}

            if ($orgFilename != $neuerdateiname)
            {
              // MP3-Datei umbenennen
              rename($verzeichnis."/".$orgFilename,$verzeichnis."/".$neuerdateiname);
            }

            // ---- MP3 ID-Tag Edit

            $ID3 = new ID3v1x($verzeichnis."/".$neuerdateiname);
            $ID3->write_tag(1, strip_tags($titel), strip_tags($PODCAST_NAME), strip_tags($kategorie), date("Y",time()), substr(HTTP_BASISADRESSE,0,strlen(HTTP_BASISADRESSE)-1), "0", "37");


           } // end if titel != ""
        } // end schritt == 2

      } // end aktion == edit

      // -------------------------------------------------
      // --- Datei verffentlichen
      // -------------------------------------------------
      // > von uploadData -> publicData verschieben
      else if ($aktion == "makepublic")
      {
        if (issetPostGet('dat'))
        {$articleFileName = getPostGetText('dat');}
        else { die("FEHLER: Es fehlen Parameter!");}

        $artikel = article::loadArticleFromFile("uploadData/".$articleFileName);

        if(file_exists("uploadData/".$artikel->getFile()))
        {
          movefile("uploadData/".$artikel->getFile(),"publicData/".$artikel->getFile());
          movefile("uploadData/".$articleFileName,"publicData/".$articleFileName);
        }
      }

      // -------------------------------------------------
      // --- Konfiguration
      // -------------------------------------------------
      //

      else if ($aktion == "config")
      {
        $pod_reply 		= "";
        $pass_reply 	= "";
        $category_reply = "";
        $option_reply 	= "";
        $relais_reply 	= "";
        $layout_reply 	= "";


        // SMARTY Template-Datenobjekt anlegen und konfigurieren
        $smarty = new Smarty;

        $smarty->template_dir 	= 'htmlContent/system_templates/';
        $smarty->compile_dir 	= SMARTYPATH_COMPILE;
        $smarty->config_dir 	= SMARTYPATH_CONFIG;
        $smarty->cache_dir 		= SMARTYPATH_CACHE;

        loadPostGetString('mode');

        // ############ GRUNDEINSTELLUNGEN ####################################
        if ($mode == "base")
        {
          loadPostGetString('pod_name');
          loadPostGetString('pod_description');
          loadPostGetString('pod_admin');
          loadPostGetString('pod_adminmail');

          // Hier sind keine HTML-Tags erlaubt
          $pod_name 			= strip_tags($pod_name);
          $pod_description 		= strip_tags($pod_description);
          $pod_admin 			= strip_tags($pod_admin);
          $pod_adminmail		= strip_tags($pod_adminmail);

          if (strlen($pod_name) > 6)
          {
            $PODCAST_NAME = $pod_name;
            updateValueInConfigFile("PODCAST_NAME");

            $PODCAST_DESCRIPTION = $pod_description;
            updateValueInConfigFile("PODCAST_DESCRIPTION");

            $ADMIN_NAME = $pod_admin;
            updateValueInConfigFile("ADMIN_NAME");

            $ADMIN_EMAIL = $pod_adminmail;
            updateValueInConfigFile("ADMIN_EMAIL");

            $pod_reply = "<strong>OK: <font color='green'>".
          		         "Grundeinstellungen gespeichert.".
          		         "</font><strong><br><br>";
          }
          else
          {
            $pod_reply = "<strong>PROBLEM: <font color='red'>".
                       "Der Podblogger-Name muss mindestens 6 Zeichen lang sein.".
                       "</font><strong><br><br>";
          }

          $mode = "menu";
        } // END mode='base'


        // ############ PASSWORT ####################################
        elseif ($mode == "pass")
        {
          loadPostGetString('pass_old');
          loadPostGetString('pass_new1');
          loadPostGetString('pass_new2');

          if ($pass_old == $ADMIN_PASSWORD)
          {
            if ($pass_new1 == $pass_new2)
            {
              if (strlen($pass_new1) > 5)
              {
                $ADMIN_PASSWORD = $pass_new1;
                // Update config.txt
                updateValueInConfigFile("ADMIN_PASSWORD");
                $pod_reply = "<strong>OK: <font color='green'>".
          		             "Neues Passwort wurde gesetzt.".
          		             "</font><strong><br><br>";
          	  }
          	  else
          	  {
                $pod_reply = "<strong>PROBLEM: <font color='red'>".
          		           "Das neue Passwort muss mindestens 6 Zeichen lang sein. Passwort nicht gendert.".
          		           "</font><strong><br><br>";
          	  }
            }
            else
            {
              $pod_reply = "<strong>PROBLEM: <font color='red'>".
          		           "Das neue Passwort stimmte nicht mit der Wiederholung berein. Passwort nicht gendert.".
          		           "</font><strong><br><br>";
            }
          }
          else
          {
            $pod_reply = "<strong>PROBLEM: <font color='red'>".
          		         "Das alte Passwort war nicht korrekt. Passwort nicht gendert.".
          		         "</font><strong><br><br>";
          }
          $mode = "menu";
        } // END mode='pass'


        // ############ KATEGORIEN ####################################
        elseif ($mode == "category")
        {

          loadPostGetString('option');

          // ############ NEUE KATEGORIE
          if ( $option=="new" )
          {
            loadPostGetString('category_name');

            $category_name 		= strip_tags($category_name);
            $category_name 		= trim($category_name);

            if (strlen($category_name) >= 3)
            {

              // Kategorie hinzufgen
              array_push($PODCAST_CATEGORY,$category_name);

              // Update config.txt
              updateValueInConfigFile("PODCAST_CATEGORY");

              $pod_reply = "<strong>OK: <font color='green'>".
          		           "Neue Kategorie wurde angelegt.".
          		           "</font><strong><br><br>";
          	}
          	else
          	{
          	  if (strlen($category_name)>=1)
              $pod_reply = "<strong>PROBLEM: <font color='red'>".
          		           "Der neue Kategoriename war zu kurz. Keine neue Kategorie angelegt.".
          		           "</font><strong><br><br>";
          	  else
              $pod_reply = "<strong>Hinweis: <font color='blue'>".
          		           "Bitte geben Sie zuvor einen Namen fr die Kategorie im Textfeld hinter dem Button 'Neue Kategorie' ein.".
          		           "</font><strong><br><br>";
          	}
            $mode="menu";
          } // #### ENDE NEUE KATEGORIE

          // ############ KATEGORIE LSCHEN
          elseif ( $option=="delete" )
          {
            loadPostGetString('category');

            // Kategorie lschen
            $newArray = array();
            foreach ($PODCAST_CATEGORY as $cat)
            { if ($cat != $category) {array_push($newArray,$cat);} }
            $PODCAST_CATEGORY = $newArray;

            // Update config.txt
            updateValueInConfigFile("PODCAST_CATEGORY");

            $pod_reply = "<strong>OK: <font color='green'>".
          		         "Die Kategorie '".$category."' wurde erfolgreich gelscht.".
          		         "</font><strong><br><br>";

            $mode="menu";
          }  // #### ENDE KATEGORIE LSCHEN
          else
          {
            $mode="menu";
          }
        } // END mode='menu'

        // ############ SYSTEMOPTIONEN ####################################
        elseif ($mode == "option")
        {
          loadPostGetString('option_mail');
          loadPostGetString('option_rss');
          loadPostGetString('option_mp3');
          loadPostGetString('option_postsPerPage');
          loadPostGetString('option_webspace');

          if (!is_numeric($option_postsPerPage))
          {
            $pod_reply = "<strong>PROBLEM: <font color='red'>".
                       "Die MP3-Beitragsanzahl pro Seite muss eine gltiger Zahlenwert sein. Keine nderungen.".
                       "</font><strong><br><br>";
          }
          elseif (intval($option_postsPerPage) <= 0)
          {
            $pod_reply = "<strong>PROBLEM: <font color='red'>".
                       "Die MP3-Beitragsanzahl pro Seite muss grer als Null sein. Keine nderungen.".
                       "</font><strong><br><br>";
          }
          elseif (!is_numeric($option_webspace))
          {
            $pod_reply = "<strong>PROBLEM: <font color='red'>".
                       "Das Webspacelimit muss eine gltiger Zahlenwert sein. Keine nderungen.".
                       "</font><strong><br><br>";
          }
          else
          { // Alle Werte OK

            $ADMIN_EMAILNOTIFICATION = $option_mail;
            updateValueInConfigFile("ADMIN_EMAILNOTIFICATION");

            $STATS_RSS = $option_rss;
            updateValueInConfigFile("STATS_RSS");

            $STATS_MP3 = $option_mp3;
            updateValueInConfigFile("STATS_MP3");

            $FILES_PER_PAGE = $option_postsPerPage;
            updateValueInConfigFile("FILES_PER_PAGE");

            $WEBSPACE_LIMIT = $option_webspace;
            updateValueInConfigFile("WEBSPACE_LIMIT");

            $pod_reply = "<strong>OK: <font color='green'>".
          		         "Systemoptionen gespeichert.".
          		         "</font><strong><br><br>";
          }

          $mode = "menu";
        } // END mode='option'


        // ############ RELAI-EINSTELLUNGEN ####################################
        elseif ($mode == "relais")
        {
          loadPostGetString('relais_select');

          $pod_reply = "<strong>OK: <font color='blue'>".
          		       "CGI-Relais-Optionen gespeichert. Bitte prfen Sie erneut die Einstellungen.".
          		       "</font><strong><br><br>";

          if ($relais_select == "off")
          {
            $UPLOADRELAIS_MODE = $relais_select;
            updateValueInConfigFile("UPLOADRELAIS_MODE");
          }
          elseif ($relais_select == "man")
          {
            $UPLOADRELAIS_MODE = $relais_select;
            updateValueInConfigFile("UPLOADRELAIS_MODE");
            if (issetPostGet('relais_uploadscript'))
            {
              $relais_uploadscript = getPostGetText('relais_uploadscript');
              $UPLOADRELAIS_UP_ADRESS = $relais_uploadscript;
              updateValueInConfigFile("UPLOADRELAIS_UP_ADRESS");

              $teile = explode("/",$relais_uploadscript); array_pop($teile);
              $UPLOADRELAIS_DOWN_ADRESS = implode("/",$teile)."/download.cgi";
              updateValueInConfigFile("UPLOADRELAIS_DOWN_ADRESS");
            }
            else
            {
              if (strlen($UPLOADRELAIS_UP_ADRESS)<3)
              {
                $pod_reply = "<strong>Hinweis: <font color='blue'>".
          		             "Bitte konfigurieren Sie nun das CGI-Upload-Relais.".
          		              "</font><strong><br><br>";
              }
            }

          }
          elseif ($relais_select == "auto")
          {
            $UPLOADRELAIS_MODE = $relais_select;
            updateValueInConfigFile("UPLOADRELAIS_MODE");

            if (!cgiRelais::test_cgiRelais($UPLOADRELAIS_DOWN_ADRESS))
            {
              if (cgiRelais::lokalPerl())
              {
                // servereigenes Relais verwenden
                $LOKAL_PERL = TRUE;
                updateValueInConfigFile("LOKAL_PERL");

                $UPLOADRELAIS_UP_ADRESS = "http://" .HTTP_BASISADRESSE. "/cgi-perl/upload.cgi";
                updateValueInConfigFile("UPLOADRELAIS_UP_ADRESS");

                $UPLOADRELAIS_DOWN_ADRESS = "http://" .HTTP_BASISADRESSE. "/cgi-perl/download.cgi";
                updateValueInConfigFile("UPLOADRELAIS_DOWN_ADRESS");
              }
              else
              {
                // externes Relais anfordern
                $LOKAL_PERL = FALSE;
                updateValueInConfigFile("LOKAL_PERL");

                // prfen, ob podblogger auf einem localhost ausgefhrt wird
                if ( (strstr(strtolower(HTTP_BASISADRESSE),'localhost') != FALSE) || (strstr(strtolower(HTTP_BASISADRESSE),'127.0.0.1') != FALSE))
                {
                  // podblogger wird auf einer localen Maschine ausgefhrt
                  // daher kann es nicht mit externen Upload-Relais kommunizieren
                  $pod_reply = "<strong>PROBLEM: <font color='red'>".
          		               "Automatische Konfiguration nicht mglich, da podblogger nicht auf einem Internet-Webserver betrieben wird.".
          		                "</font><strong><br><br>";

                  $UPLOADRELAIS_MODE = "man";
                  updateValueInConfigFile("UPLOADRELAIS_MODE");
                }
                elseif ( $relais = cgiRelais::getRelaisFromNet($PODBLOGGER_VERSION) )
                {

                  $UPLOADRELAIS_UP_ADRESS = $relais->getHttpAdress_Uploadscript();
                  updateValueInConfigFile("UPLOADRELAIS_UP_ADRESS");

                  $UPLOADRELAIS_DOWN_ADRESS = $relais->getHttpAdress_Downloadscript();
                  updateValueInConfigFile("UPLOADRELAIS_DOWN_ADRESS");
                }
                else
                {
                  $pod_reply = "<strong>PROBLEM: <font color='red'>".
          		               "Automatische Konfiguration nicht mglich. Versuchen Sie eine manuelle Konfiguration oder deaktivieren Sie die CGI-Upload-Relais-Option.".
          		                "</font><strong><br><br>";

                  $UPLOADRELAIS_MODE = "man";
                  updateValueInConfigFile("UPLOADRELAIS_MODE");
                }
              }
            }
          }

          $mode = "menu";
        } // END mode='pass'

        // ############ LAYOUT ####################################
        elseif ($mode == "layout")
        {
          loadPostGetString('layout_select');
          loadPostGetString('lastLayoutID');

          if ($o_layout = layout::loadLayoutFromPluginDir($layout_select))
          {
            $LAYOUT_ID = $o_layout->getID();
            updateValueInConfigFile("LAYOUT_ID");

            // Die Definitionsvariablen fr das Layout berprfen
            if ($old_layout = layout::loadLayoutFromPluginDir($lastLayoutID))
            {
              $defVars = $old_layout->getDefinitionArray();
              foreach ($defVars as $def)
              {
                if (issetPostGet("layoutdef_".$def['smartyname']))
                {
                  $value = getPostGetText("layoutdef_".$def['smartyname']);
                  $old_layout->setDefinitionValue($def['smartyname'], $value);
                }
              }
              $old_layout->saveDefinitionValues();
            }


            // Ausgaben
            if ($LAYOUT_ID == $lastLayoutID){
            $pod_reply = "<strong>OK: <font color='green'>".
          		         "Layoutwerte wurden gespeichert.".
          		         "</font><strong><br><br>"; }
          	else {
            $pod_reply = "<strong>OK: <font color='blue'>".
          		         "Neues Layout wurde gesetzt. Bitte berprfen Sie die Layout-Konfiguration.".
          		         "</font><strong><br><br>"; }
          }
          else
          {
            $pod_reply = "<strong>PROBLEM: <font color='red'>".
          		         "Problem bei Layouteinstellung. Bitte Werte berprfen.".
          		         "</font><strong><br><br>";
          }
          $mode = "menu";
        } // END mode='layout'


        // ############ MEN ####################################
        if ($mode == "menu")
        {
          if ($UPLOADRELAIS_MODE == "off")
          {
            $relais_info    = "Sie haben die CGI-Upload-Verwendung deaktiviert. Alle Uploads werden ber die PHP internen Funktionen geregelt.";
            $relais_manuell = "OFF";
          }
          elseif ($UPLOADRELAIS_MODE == "man")
          {
            if (test_fopen())
            {
              // Prfen, ob manuelle Einstellungen gltig sind
              if (strlen($UPLOADRELAIS_DOWN_ADRESS) > 3)
              {
                if (cgiRelais::test_cgiRelais($UPLOADRELAIS_DOWN_ADRESS))
                {
                  $relais_info    = "<font color='green'><strong>OK: Das eingestellte Relais ist erreichbar.</strong></font>";
                }
                else
                {
                  $relais_info    = "<font color='red'><strong>PROBLEM: Das eingestellte Relais ist NICHT erreichbar. Bitte prfen Sie die http-Adresse.</strong></font>";
                }
              }
              else
              {
                $relais_info    = "<strong><font color='red'>Bitte geben Sie eine gltige CGI-Upload-Relais-Adresse ein.</font></strong><br>Eine Liste ffentlicher Relais finden Sie im <a href='http://xpress.apocalypsys.net/forum/viewforum.php?f=12'>podblogger-Forum</a>.";
              }
              $relais_manuell = "ON";
            }
            else
            {
              $relais_info = "Die PHP-Funktion 'fopen' schein nicht auf das Internet zugreifen zu knnen. Dies kann an den PHP-Einstellungen ihres Servers liegen.".
                             "Ohne Internetzugriff kann diese Funktion aber keine Verbindung zu einem CGI-Upload-Realais herstellen.";
              $relais_manuell = "OFF";
            }
          }
          elseif ($UPLOADRELAIS_MODE == "auto")
          {
            if (test_fopen())
            {

              if ($LOKAL_PERL == "TRUE")
              {
                $relais_info = "Es wird das servereigene CGI-Upload-Relais verwendet: ".$UPLOADRELAIS_UP_ADRESS;
              }
              else
              {
                // Daten vom automatisch einstellten CGI-Uploadrelais laden
                $relais = new cgiRelais($UPLOADRELAIS_UP_ADRESS);
                $relais_info = "Durch die automatische Einstellung wurde podblogger folgendes externe CGI-Upload-Relais zugeordnet:<br><br>".
                               "<strong>ADRESSE: </strong>".$relais->getHttpAdress_Uploadscript()."<br>".
                               "<strong>NAME: </strong>".$relais->getName()."<br>".
                               "<strong>HOMEPAGE: </strong>".$relais->getHome();
              }
            }
            else
            {
              $relais_info = "Die PHP-Funktion 'fopen' schein nicht auf das Internet zugreifen zu knnen. Dies kann an den PHP-Einstellungen ihres Servers liegen.".
                             "Ohne Internetzugriff kann diese Funktion aber keine Verbindung zu einem CGI-Upload-Realais herstellen.";

            }
            $relais_manuell = "OFF";
          }



          // SMARTY-Werte belegen

          if (($pod_reply == "") && ($ADMIN_NAME == "") && ($ADMIN_EMAIL == ""))
          {
            $pod_reply = "<strong>Hinweis: <font color='blue'>".
          		         "Bitte tragen Sie Ihren Namen unter 'Name des Verantwortlichen' ein. DANKE</font><br>".
          		         "Hinweis: <font color='blue'>Bitte tragen Sie Ihre eMail-Adresse unter 'eMail des Verantwortlichen' ein. DANKE".
          		         "</font><strong><br><br>";
          }
          elseif (($pod_reply == "") && ($ADMIN_NAME == ""))
          {
            $pod_reply = "<strong>Hinweis: <font color='blue'>".
          		         "Bitte tragen Sie Ihren Namen unter 'Name des Verantwortlichen' ein. DANKE".
          		         "</font><strong><br><br>";
          }
          elseif (($pod_reply == "") && ($ADMIN_EMAIL == ""))
          {
            $pod_reply = "<strong>Hinweis: <font color='blue'>".
          		         "Bitte tragen Sie Ihre eMail-Adresse unter 'eMail des Verantwortlichen' ein. DANKE".
          		         "</font><strong><br><br>";
          }
          $smarty->assign('pod_reply',			$pod_reply);
          $smarty->assign('pod_name',			$PODCAST_NAME);
          $smarty->assign('pod_description',	$PODCAST_DESCRIPTION);
          $smarty->assign('pod_admin',			$ADMIN_NAME);
          $smarty->assign('pod_adminmail',		$ADMIN_EMAIL);

          $smarty->assign('pass_reply',			$pass_reply);

          $smarty->assign('category_reply',		$category_reply);

          $category_array = array();
          foreach ($PODCAST_CATEGORY as $cat)
          {array_push($category_array,array('name' => $cat));}
          $smarty->assign('category_array',		$category_array);

          $smarty->assign('option_reply',		"");
          $smarty->assign('option_postsPerPage',$FILES_PER_PAGE);
          $smarty->assign('option_webspace',	$WEBSPACE_LIMIT);

          $smarty->assign('option_mail_array',	array("JA","NEIN"));
          $smarty->assign('option_mail',		$ADMIN_EMAILNOTIFICATION);
          $smarty->assign('option_rss_array',	array("JA","NEIN"));
          $smarty->assign('option_rss',			$STATS_RSS);
          $smarty->assign('option_mp3_array',	array("JA","NEIN"));
          $smarty->assign('option_mp3',			$STATS_MP3);

          $smarty->assign('relais_reply',		"");

          $smarty->assign('relais_select_array'	,array("Automatische CGI-Uploadrelais-Konfiguration","Manuelle CGI-Uploadrelais-Konfiguration","Kein CGI-Uploadrelais verwenden"));
          $smarty->assign('relais_value_array'	,array("auto","man","off"));
          $smarty->assign('relais_select',		$UPLOADRELAIS_MODE);
          $smarty->assign('relais_info',		$relais_info);
          $smarty->assign('relais_manuell',		$relais_manuell);

          $smarty->assign('relais_uploadscript'	,$UPLOADRELAIS_UP_ADRESS);

          // DYNAMISCHES LAYOUT-PLUGIN
          // Alle Unterordner von htmlContent/smarty_templates mit einer Datei 'layout_definition.txt'
          // werden als gltiges Layout dem ADMIN angeboten

          if ($layout_array = layout::getAllLayoutPlugIns())
          {
            // Layout Names- und Value-Array bauen
            $layout_select_array 	= array();
            $layout_value_array		= array();
            $actual_layoutID_found  = FALSE;
            foreach ($layout_array as $o_layout)
            {
              array_push($layout_select_array,$o_layout->getName());
              array_push($layout_value_array,$o_layout->getID());
              if ($o_layout->getID() == $LAYOUT_ID) { $actual_layout = $o_layout; }
            }

            $smarty->assign('layout_select_array',	$layout_select_array);
            $smarty->assign('layout_value_array',	$layout_value_array);

            if (!isset($actual_layout))
            {
              $smarty->assign('layout_reply',"<br><font color='blue'>WICHTIG: LAYOUT wurde automatisch gesetzt. Bitte berprfen Sie die Auswahl.</font><br>");
              $LAYOUT_ID 		= $layout_array[0]->getID();
              $actual_layout 	= $layout_array[0];
              updateValueInConfigFile("LAYOUT_ID");
            }
            else
            {
              $smarty->assign('layout_reply',"");
            }

            $smarty->assign('layout_select',		$LAYOUT_ID);

            // Infos aus dem aktuellen Layout laden
            $name 		= $actual_layout->getName();
            $author  	= $actual_layout->getAuthor();
            if ($author == "") {$author="-";}
            $homepage  	= "<a href='". $actual_layout->getHomepage() ."'>". $actual_layout->getHomepage() ."</a>";
            if ($actual_layout->getHomepage() == "") {$homepage="-";}
            $info = "<br>NAME: $name<br>AUTOR: $author<br>HOMEPAGE: $homepage<br><br>";

            // ggf. Formfelder fr Layout-Definitionsfelder bauen
            $defs = $actual_layout->getDefinitionArray();

            if (count($defs) > 0)
            {
              $layout_definitionen = "<table border='0'>";
              foreach ($defs as $def)
              {
                // ggf. maxlegth bestimmen
                if (isset($def['maxlength'])) 	{$maxlength = $def['maxlength'];}
                else							{$maxlength = 0;}

                $layout_definitionen .= "<tr><td valign='top'>".$def['description']."&nbsp;</td><td>";

                $value =  $actual_layout->getDefinitionValue($def['smartyname']);

                // Textfeld als einzeiliges Inputfeld
                if (($maxlength > 0) && ($maxlength < 100))
                {
                  if ($maxlength<40) {$size = $maxlength;} else {$size = 40;}
                  $layout_definitionen .= "<input name='layoutdef_".$def['smartyname']."' type='text' value='".$value."' size='".$size."' maxlength='".$maxlength."'>";
                }
                // Textfeld als mehrzeiliges Inputfeld
                else
                {
                  $layout_definitionen .= "<textarea name='layoutdef_".$def['smartyname']."' cols='40' rows='5' wrap='VIRTUAL'>".$value."</textarea>";
                }

                $layout_definitionen .= "</td></tr>";
              }
              $layout_definitionen .= "</table>";
            }
            else
            {
              $layout_definitionen = "<font color='green'><strong>Keine weiteren Einstellungen fr dieses Layout ntig.</strong></font><br><br>";
            }

            $layout_definitionen .= '<input name="lastLayoutID" type="hidden" id="lastLayoutID" value="'.$LAYOUT_ID.'">';
            $smarty->assign('layout_definitionen', $layout_definitionen);
          }
          else
          {
            // Es konnten keine LAYOUTS geladen werden !!!
            $smarty->assign('layout_select_array'	,array(""));
            $smarty->assign('layout_value_array'	,array("0"));
            $smarty->assign('layout_select',		"0");
            $smarty->assign('layout_reply',		"<strong><font color='red'>PROBLEM MIT LAYOUTS!!!</font></strong><br><br>");
            $smarty->assign('layout_info',		"<br>ES WURDEN KEINE LAYOUTS IM VERZEICHNIS '".LAYOUTDIR."' GEFUNDEN !!!!<br>PODBLOGGER KANN OHNE LAYOUTS KEINE BENUTZERAUSGABEN MACHEN!!!<br><br>");
            $smarty->assign('layout_definitionen', "");
          }

          // Template-Seite ausgeben
          $smarty->display('system_config.tpl');
          exit();

        } // END mode='menu'

      } // END aktion='config'

      // -------------------------------------------------
      // --- Statistik
      // -------------------------------------------------
      else if ($aktion == "stats")
      {
      ?>
      <html>
        <head>
          <title>ADMINBEREICH - Statistik</title>
          <link rel="stylesheet" href="htmlContent/design.css" type="text/css">
        </head>
        <body>
          <span class="text">
          <? printHeadline("Administration","Statistik"); ?>

           <b>[</b>&nbsp;<a href="admin.php">zur&uuml;ck</a>&nbsp;<b>]</b>&nbsp;<br>
      <? if (($PODCAST_RSS_STATS == "JA") || ($PODCAST_MP3_STATS == "JA"))
      {
         LogFile::compressOldLogs();

         if ($PODCAST_RSS_STATS == "JA")
         {

      // ------------------------- RSS-FEED-STATISTIK --------------------------

          $summe_heute   		= 0;
          $summe_gestern 		= 0;
          $summe_dieserMonat  	= 0;
          $summe_letzterMonat 	= 0;
          $summe_insgesamt		= 0;

        // -------- Tabellenkopf -------------
      ?>

      <p><font size="2" face="Arial, Helvetica, sans-serif"><strong>Zugriffe auf RSS-Feeds:</strong></font></p>
      <table width="75%" border="0" cellpadding="1" cellspacing="1" bgcolor="#000000">
      <tr>
        <td height="20" bgcolor="#222222"><font size="1" face="Arial, Helvetica, sans-serif">&nbsp;</font></td>
        <td width="15%" align="center" bgcolor="#222222"><font color="#FFFFFF" size="1" face="Arial, Helvetica, sans-serif">heute</font></td>
        <td width="15%" align="center" bgcolor="#222222"><font color="#FFFFFF" size="1" face="Arial, Helvetica, sans-serif">gestern</font></td>
        <td width="15%" align="center" bgcolor="#222222"><font color="#FFFFFF" size="1" face="Arial, Helvetica, sans-serif">dieser
          Monat </font></td>
        <td width="15%" align="center" bgcolor="#222222"><font color="#FFFFFF" size="1" face="Arial, Helvetica, sans-serif">letzter
          Monat </font></td>
        <td width="15%" align="center" bgcolor="#222222"><font color="#FFFFFF" size="1" face="Arial, Helvetica, sans-serif">insgesamt</font></td>
      </tr>
      <?
        // -------- Zeile fr HAUPT-RSS-Feed
      ?>
      <tr>
        <td height="20" align="left" bgcolor="#222222"><font color="#FFFFFF" size="1" face="Arial, Helvetica, sans-serif">Haupt-RSS-Feed</font></td>
        <? $log = new LogFile("RSS/");
          $summe_heute   		+= $log->zugriffeHeute();
          $summe_gestern 		+= $log->zugriffeGestern();
          $summe_dieserMonat  	+= $log->zugriffeDieserMonat();
          $summe_letzterMonat 	+= $log->zugriffeLetzterMonat();
          $summe_insgesamt		+= $log->zugriffeInsgesamt();
        ?>
        <td align="center" bgcolor="#FFFFFF"><font color="#000000" size="1" face="Arial, Helvetica, sans-serif"><? print $log->zugriffeHeute(); ?></font></td>
        <td align="center" bgcolor="#FFFFFF"><font color="#000000" size="1" face="Arial, Helvetica, sans-serif"><? print $log->zugriffeGestern(); ?></font></td>
        <td align="center" bgcolor="#FFFFFF"><font color="#000000" size="1" face="Arial, Helvetica, sans-serif"><? print $log->zugriffeDieserMonat(); ?></font></td>
        <td align="center" bgcolor="#FFFFFF"><font color="#000000" size="1" face="Arial, Helvetica, sans-serif"><? print $log->zugriffeLetzterMonat(); ?></font></td>
        <td align="center" bgcolor="#FFFFFF"><font color="#000000" size="1" face="Arial, Helvetica, sans-serif"><? print $log->zugriffeInsgesamt(); ?></font></td>
      </tr>
      <?
        // -------- Zeilen fr Kategorien-RSS-Feed

      foreach ($PODCAST_KATEGORIEN as $kategorie)
      {
        $log = new LogFile("RSS/".$kategorie);
        $summe_heute   			+= $log->zugriffeHeute();
        $summe_gestern 			+= $log->zugriffeGestern();
        $summe_dieserMonat  	+= $log->zugriffeDieserMonat();
        $summe_letzterMonat 	+= $log->zugriffeLetzterMonat();
        $summe_insgesamt		+= $log->zugriffeInsgesamt();
        ?>
        <tr>
          <td height="20" align="left" bgcolor="#222222"><font color="#FFFFFF" size="1" face="Arial, Helvetica, sans-serif">Kategorie-'<? print $kategorie; ?>'-Feed</font></td>
          <td align="center" bgcolor="#FFFFFF"><font color="#000000" size="1" face="Arial, Helvetica, sans-serif"><? print $log->zugriffeHeute(); ?></font></td>
          <td align="center" bgcolor="#FFFFFF"><font color="#000000" size="1" face="Arial, Helvetica, sans-serif"><? print $log->zugriffeGestern(); ?></font></td>
          <td align="center" bgcolor="#FFFFFF"><font color="#000000" size="1" face="Arial, Helvetica, sans-serif"><? print $log->zugriffeDieserMonat(); ?></font></td>
          <td align="center" bgcolor="#FFFFFF"><font color="#000000" size="1" face="Arial, Helvetica, sans-serif"><? print $log->zugriffeLetzterMonat(); ?></font></td>
          <td align="center" bgcolor="#FFFFFF"><font color="#000000" size="1" face="Arial, Helvetica, sans-serif"><? print $log->zugriffeInsgesamt(); ?></font></td>
        </tr>
      <? }
        // -------- Zeilen fr SUMME
       ?>
        <tr>
          <td height="20" align="left" bgcolor="#222222"><font color="#FFFFFF" size="1" face="Arial, Helvetica, sans-serif">&nbsp;</font></td>
          <td align="center" bgcolor="#FFAAAA"><font color="#000000" size="1" face="Arial, Helvetica, sans-serif"><? print $summe_heute; ?></font></td>
          <td align="center" bgcolor="#FFAAAA"><font color="#000000" size="1" face="Arial, Helvetica, sans-serif"><? print $summe_gestern; ?></font></td>
          <td align="center" bgcolor="#FFAAAA"><font color="#000000" size="1" face="Arial, Helvetica, sans-serif"><? print $summe_dieserMonat; ?></font></td>
          <td align="center" bgcolor="#FFAAAA"><font color="#000000" size="1" face="Arial, Helvetica, sans-serif"><? print $summe_letzterMonat; ?></font></td>
          <td align="center" bgcolor="#FFAAAA"><font color="#000000" size="1" face="Arial, Helvetica, sans-serif"><? print $summe_insgesamt; ?></font></td>
        </tr>
    </table><br>

      <?
         }

      // ------------------------- MP3-STATISTIK --------------------------

         if ($PODCAST_MP3_STATS == "JA")
         {
           // Summenvariablen fr insgesamt
           $summe_heute   			= 0;
           $summe_gestern 			= 0;
           $summe_dieserMonat  		= 0;
           $summe_letzterMonat 		= 0;
           $summe_insgesamt			= 0;

           // Summenvariablen fr Browserzugriffe	B=Browser
           $summeB_heute   			= 0;
           $summeB_gestern 			= 0;
           $summeB_dieserMonat  	= 0;
           $summeB_letzterMonat 	= 0;
           $summeB_insgesamt		= 0;

           // Summenvariablen fr RSSzugriffe		F=Feed
           $summeF_heute   			= 0;
           $summeF_gestern 			= 0;
           $summeF_dieserMonat  	= 0;
           $summeF_letzterMonat 	= 0;
           $summeF_insgesamt		= 0;

           // -------- Tabellenkopf
           ?>
         <p><font size="2" face="Arial, Helvetica, sans-serif"><strong> Zugriffe auf MP3-Dateien:</strong></font>
        </p>
        <table width="75%" border="0" cellpadding="1" cellspacing="1" bgcolor="#000000">
          <tr>
            <td height="20" bgcolor="#222222"><font size="1" face="Arial, Helvetica, sans-serif">&nbsp;</font></td>
            <td width="15%" align="center" bgcolor="#222222"><font color="#FFFFFF" size="1" face="Arial, Helvetica, sans-serif">heute<br>
              <font color="#888888">(RSS / Browser) </font></font></td>
            <td width="15%" align="center" bgcolor="#222222"><font color="#FFFFFF" size="1" face="Arial, Helvetica, sans-serif">gestern<br>
              <font color="#888888">(RSS / Browser) </font></font></td>
            <td width="15%" align="center" bgcolor="#222222"><font color="#FFFFFF" size="1" face="Arial, Helvetica, sans-serif">dieser
              Monat<br>
              <font color="#888888">(RSS / Browser) </font></font></td>
            <td width="15%" align="center" bgcolor="#222222"><font color="#FFFFFF" size="1" face="Arial, Helvetica, sans-serif">letzter
              Monat<br>
              <font color="#888888">(RSS / Browser) </font></font></td>
            <td width="15%" align="center" bgcolor="#222222"><font color="#FFFFFF" size="1" face="Arial, Helvetica, sans-serif">insgesamt<br>
              <font color="#888888">(RSS / Browser) </font></font></td>
          </tr>
           <?

           // -------- Zeilen fr einzelne MP3-Dateien

           // Tabelle Public-Verzeichnis
           $Dateien = getFilesFromDirWithEnding("publicData","article");


           // Array mit Keys aufbauen
           $keyArray = array();
           foreach ($Dateien as $datei)
           {
             $artikel = article::loadArticleFromFile("publicData/".$datei);
             if ($artikel->getFile()!="")
             {
               $keyArray[$artikel->getUnixTime()] = $artikel;
             }
           }

           uksort($keyArray,"cmp");
           reset($keyArray);

           if (count($keyArray) > 0)
           {
             foreach ($keyArray as $artikel)
             {

               // logDaten laden
               $log = new LogFile("publicData/".$artikel->getFile());

               // Summenvariablen fr insgesamt
               $summe_heute            += $log->zugriffeHeute();
               $summe_gestern          += $log->zugriffeGestern();
               $summe_dieserMonat      += $log->zugriffeDieserMonat();
               $summe_letzterMonat     += $log->zugriffeLetzterMonat();
               $summe_insgesamt        += $log->zugriffeInsgesamt();

               // Summenvariablen fr Browserzugriffe   B=Browser
               $summeB_heute            += $log->zugriffeHeute("BROWSER");
               $summeB_gestern          += $log->zugriffeGestern("BROWSER");
               $summeB_dieserMonat      += $log->zugriffeDieserMonat("BROWSER");
               $summeB_letzterMonat     += $log->zugriffeLetzterMonat("BROWSER");
               $summeB_insgesamt        += $log->zugriffeInsgesamt("BROWSER");

               // Summenvariablen fr RSSzugriffe       F=Feed
               $summeF_heute            += $log->zugriffeHeute("RSS");
               $summeF_gestern          += $log->zugriffeGestern("RSS");
               $summeF_dieserMonat      += $log->zugriffeDieserMonat("RSS");
               $summeF_letzterMonat     += $log->zugriffeLetzterMonat("RSS");
               $summeF_insgesamt        += $log->zugriffeInsgesamt("RSS");

               $file 	= $artikel->getFile();
               $titel 	= $artikel->getTitle();
               if (strlen($file) > 50) 	{$file 	= substr($file,0,45)."...";}
               if (strlen($titel)> 50)  {$titel = substr($titel,0,45)."...";}

               ?>
              <tr>
                <td height="40" align="left" bgcolor="#222222"><font color="#FFFFFF" size="1" face="Arial, Helvetica, sans-serif"><? print $titel; ?><br>
                  <font color="#999999"><? print $file; ?></font></font></td>
                <td align="center" bgcolor="#FFFFFF"><font color="#000000" size="1" face="Arial, Helvetica, sans-serif"><? print $log->zugriffeHeute(); ?><br>
                  <font color="#AAAAAA">(<? print $log->zugriffeHeute("RSS"); ?> / <? print $log->zugriffeHeute("BROWSER"); ?>) </font></font></td>
                <td align="center" bgcolor="#FFFFFF"><font color="#000000" size="1" face="Arial, Helvetica, sans-serif"><? print $log->zugriffeGestern(); ?><br>
                  <font color="#AAAAAA">(<? print $log->zugriffeGestern("RSS"); ?> / <? print $log->zugriffeGestern("BROWSER"); ?>)</font></font></td>
                <td align="center" bgcolor="#FFFFFF"><font color="#000000" size="1" face="Arial, Helvetica, sans-serif"><? print $log->zugriffeDieserMonat(); ?><br>
                  <font color="#AAAAAA">(<? print $log->zugriffeDieserMonat("RSS"); ?> / <? print $log->zugriffeDieserMonat("BROWSER"); ?>)</font></font></td>
                <td align="center" bgcolor="#FFFFFF"><font color="#000000" size="1" face="Arial, Helvetica, sans-serif"><? print $log->zugriffeLetzterMonat(); ?><br>
                  <font color="#AAAAAA">(<? print $log->zugriffeLetzterMonat("RSS"); ?> / <? print $log->zugriffeLetzterMonat("BROWSER"); ?>)</font></font></td>
                <td align="center" bgcolor="#FFFFFF"><font color="#000000" size="1" face="Arial, Helvetica, sans-serif"><? print $log->zugriffeInsgesamt(); ?><br>
                  <font color="#AAAAAA">(<? print $log->zugriffeInsgesamt("RSS"); ?> / <? print $log->zugriffeInsgesamt("BROWSER"); ?>)</font></font></td>
              </tr>
               <?
             }
           }
           else
           {
             print "<tr><td bgcolor='#FFFFFF'><center>- Bisher keine MP3-Dateien im System -</center></td></tr>";
           }

           // -------- SUMME
           ?>
              <tr>
                <td height="40" align="left" bgcolor="#222222"><font color="#FFFFFF" size="1" face="Arial, Helvetica, sans-serif">&nbsp;</font></td>
                <td align="center" bgcolor="#FFAAAA"><font color="#000000" size="1" face="Arial, Helvetica, sans-serif"><? print $summe_heute; ?><br>
                  <font color="#666666">(<? print $summeF_heute; ?> / <? print $summeB_heute; ?>) </font></font></td>
                <td align="center" bgcolor="#FFAAAA"><font color="#000000" size="1" face="Arial, Helvetica, sans-serif"><? print $summe_gestern; ?><br>
                  <font color="#666666">(<? print $summeF_gestern; ?> / <? print $summeB_gestern; ?>) </font></font></td>
                <td align="center" bgcolor="#FFAAAA"><font color="#000000" size="1" face="Arial, Helvetica, sans-serif"><? print $summe_dieserMonat; ?><br>
                  <font color="#666666">(<? print $summeF_dieserMonat; ?> / <? print $summeB_dieserMonat; ?>) </font></font></td>
                <td align="center" bgcolor="#FFAAAA"><font color="#000000" size="1" face="Arial, Helvetica, sans-serif"><? print $summe_letzterMonat; ?><br>
                  <font color="#666666">(<? print $summeF_letzterMonat; ?> / <? print $summeB_letzterMonat; ?>) </font></font></td>
                <td align="center" bgcolor="#FFAAAA"><font color="#000000" size="1" face="Arial, Helvetica, sans-serif"><? print $summe_insgesamt; ?><br>
                  <font color="#666666">(<? print $summeF_insgesamt; ?> / <? print $summeB_insgesamt; ?>) </font></font></td>
              </tr>
        </table><br><br>
           <?



         }


       } else print("Statistik ist nicht aktiviert.<br><br>");

      printEndline('<b>[</b>&nbsp;<a href="admin.php">zur&uuml;ck</a>&nbsp;<b>]</b');
      exit();
      }
    }

    if ($show_menu)
    {
    // ----- ADMIN-Men ---------
    ?>
      <html>
        <head>
          <title>ADMINBEREICH - Menue</title>
          <link rel="stylesheet" href="htmlContent/design.css" type="text/css">
        </head>
        <body>
          <span class="text">
          <? printHeadline("Administration","MEN&Uuml;"); ?>

           <b>[</b>&nbsp;<a href="index.php">Startseite</a>&nbsp;<b>]</b>&nbsp;
           <b>[</b>&nbsp;<a href="admin.php?aktion=config&mode=menu">Einstellungen</a>&nbsp;<b>]</b>&nbsp;
           <b>[</b>&nbsp;<a href="upload.php">MP3-Upload</a>&nbsp;<b>]</b>&nbsp;
           <? if (($PODCAST_RSS_STATS == "JA") || ($PODCAST_MP3_STATS == "JA")) {?>
           <b>[</b>&nbsp;<a href="admin.php?aktion=stats">Statistik</a>&nbsp;<b>]</b>&nbsp;
           <? } ?>
           <b>[</b>&nbsp;<a href="admin.php?aktion=logout">Logout</a>&nbsp;<b>]</b>&nbsp;&nbsp;&nbsp;

           <?
               print "<strong>Belegter Speicher : </strong>".round(getUsedWebspace()/(1024*1024))."MB";
               if ($WEBSPACE_LIMIT>0) print "<strong>&nbsp;von </strong>".round($WEBSPACE_LIMIT/(1024*1024))."MB";
           ?>
           <br><br>

           <table width="75%" border="0" cellpadding="1" cellspacing="1" bgcolor="#000000">
           <tr><th colspan="2" class="admin"><b>Dateien im Uploadverzeichnis:</b></th></tr>
           <?
             $anz = 0;
             // Tabelle Upload-Verzeichnis
             $Dateien = getFilesFromDirWithEnding("uploadData","article");
             if (count($Dateien) > 0)
             {
               foreach ($Dateien as $datei)
               {
                 $artikel = article::loadArticleFromFile("uploadData/".$datei);

                 if ($artikel->checkValid())
                 {
                   $anz++;
	  			   $size = round(filesize("uploadData/".$artikel->getFile()) / 1048576);
				   if ($size == 0) {$size = 1;}

                   print "<tr><td bgcolor='#FFFFFF' width='80%'><center><br><table width='90%' border='0' align='center' cellpadding='1' cellspacing='1' bgcolor='#DDDDDD'>";
                   print "<tr><td bgcolor='#FFFFFF'><br><b><font color='blue'>".$artikel->getCategory()."</font>: '".$artikel->getTitle()."'</b><br><br</td></tr>";
                   print "<tr><td bgcolor='#EEEEEE'><font color='black'>Datei:</font></td></tr>";
                   print "<tr><td bgcolor='#FFFFFF'>uploadData/".$artikel->getFile()." (ca. ".$size."MB)</td></tr>";
                   if (strlen($artikel->getDescription()) > 2 )
                   {
                   print "<tr><td bgcolor='#EEEEEE'><font color='black'>Beschreibung:</font></td></tr>";
                   print "<tr><td bgcolor='#FFFFFF'>".
                         bbcode_inc::renderBBCode($artikel->getDescription()).
                         "</td></tr>";
                   }
                   print "<tr><td bgcolor='#EEEEEE'><font color='black'>Weitere Informationen:</font></td></tr>";
                   print "<tr><td bgcolor='#FFFFFF'>Datum: ".date("j.n.y - H:i",$artikel->getUnixTime());
                   if ( (strlen($artikel->getAuthorName()) > 2) || (strlen($artikel->getAuthorMail()) > 2))  print "<br>Autor: ".$artikel->getAuthorName()." / ".$artikel->getAuthorMail();
                   if (strlen($artikel->getAuthorXtra()) > 2) print ", ".$artikel->getAuthorXtra();
                   if (($artikel->getAuthorComment()!="-keine Bemerkung-") && ($artikel->getAuthorComment()!="")) print "<br>Bemerkung: ".$artikel->getAuthorComment();
                   print "</td></tr>";

                   print "</table></center><br></td><td valign='top' bgcolor='#DDDDDD'><br>";
                   print '<b>[</b>&nbsp;<a href="admin.php?aktion=download&dat='.urlencode($datei).'">download</a>&nbsp;<b>]</b><br>';
                   print '<b>[</b>&nbsp;<a href="admin.php?aktion=edit&dat='.urlencode($datei).'&verzeichnis=uploadData&schritt=1">editieren</a>&nbsp;<b>]</b><br>';
                   if ($artikel->getCategory()!="MANUAL UPLOAD") print '<b>[</b>&nbsp;<a href="admin.php?aktion=makepublic&dat='.urlencode($datei).'">ver&ouml;ffentlichen</a>&nbsp;<b>]</b><br>';
                   print '<b>[</b>&nbsp;<a href="admin.php?aktion=delete&dat='.urlencode($datei).'&verzeichnis=uploadData">l&ouml;schen</a>&nbsp;<b>]</b><br>';
                   print "</td></tr>";
                 }
               }
             }
             if ($anz==0)
             {
               print "<tr><td bgcolor='#FFFFFF'><center>- Keine Dateien -</center></td></tr>";
             }
           ?>
           </table>
           </p>
           <p>
           <table width="75%"  border="0" cellpadding="1" cellspacing="1" bgcolor="#000000">
           <tr><th colspan="2" class="admin"><b>Ver&ouml;ffentlichte Dateien:</b></th></tr>
           <?
             // Tabelle Public-Verzeichnis
             $Dateien = getFilesFromDirWithEnding("publicData","article");

             // Array mit Keys aufbauen
             $keyArray = array();
             foreach ($Dateien as $datei)
             {
               $artikel = article::loadArticleFromFile("publicData/".$datei);
               if ($artikel->getFile()!="")
               {
                 $keyArray[$artikel->getUnixTime()] = $artikel;
               }
             }

             uksort($keyArray,"cmp");
             reset($keyArray);

             if (count($keyArray) > 0)
             {
               foreach ($keyArray as $artikel)
               {
                 print "<tr><td bgcolor='#FFFFFF' width='80%'><center>";

				 $size = round(filesize("publicData/".$artikel->getFile()) / 1048576);
				 if ($size == 0) {$size = 1;}

                   print "<br><table width='90%' border='0' align='center' cellpadding='1' cellspacing='1' bgcolor='#DDDDDD'>";
                   print "<tr><td bgcolor='#FFFFFF'><br><b><font color='blue'>".$artikel->getCategory()."</font>: '".$artikel->getTitle()."'</b><br><br</td></tr>";
                   print "<tr><td bgcolor='#EEEEEE'><font color='black'>Datei:</font></td></tr>";
                   print "<tr><td bgcolor='#FFFFFF'>publicData/".$artikel->getFile()." (ca. ".$size."MB)</td></tr>";
                   if (strlen($artikel->getDescription()) > 2 )
                   {
                   print "<tr><td bgcolor='#EEEEEE'><font color='black'>Beschreibung:</font></td></tr>";
                   print "<tr><td bgcolor='#FFFFFF'>".
                         bbcode_inc::renderBBCode($artikel->getDescription()).
                         "</td></tr>";
                   }
                   print "<tr><td bgcolor='#EEEEEE'><font color='black'>Weitere Informationen:</font></td></tr>";
                   print "<tr><td bgcolor='#FFFFFF'>Datum: ".date("j.n.y - H:i",$artikel->getUnixTime());
                   if ( (strlen($artikel->getAuthorName()) > 2) || (strlen($artikel->getAuthorMail()) > 2))  print "<br>Autor: ".$artikel->getAuthorName()." / ".$artikel->getAuthorMail();
                   if (strlen($artikel->getAuthorXtra()) > 2) print ", ".$artikel->getAuthorXtra();
                   print "</td></tr></table><br>";


                 print "</center></td><td valign='top' bgcolor='#DDDDDD'><br>";
                 print '<b>[</b>&nbsp;<a href="admin.php?aktion=edit&dat='.urlencode($artikel->getID().".article").'&verzeichnis=publicData&schritt=1">editieren</a>&nbsp;<b>]</b><br>';
                 print '<b>[</b>&nbsp;<a href="admin.php?aktion=delete&dat='.urlencode($artikel->getID().".article").'&verzeichnis=publicData">l&ouml;schen</a>&nbsp;<b>]</b><br>';
                 print "</td></tr>";
               }
             }
             else
             {
               print "<tr><td bgcolor='#FFFFFF'><center>- Keine Dateien -</center></td></tr>";
             }
           ?>
           </table>
           </p><br>
           <? printEndline(menuButtonStr("Startseite","index.php")." ".menuButtonStr("Logout","admin.php?aktion=logout")); ?>
          </span>
        </body>
      </html>
    <?
    //} // Ende if showmenu
    } // Ende if isset(aktion)
  }
  else
  {
    die("FEHLER: Undefinierter Loginzustand.");
  }

    function printHeadline($text1,$text2)
  {
  ?>
    <table width="100%" border="0" cellpadding="3" cellspacing="1" bordercolor="#000000" bgcolor="#000000">
      <tr>
        <td bgcolor="#FFFFFF"> <div align="left">
            <table width="100%" border="0" cellspacing="1" cellpadding="1">
              <tr>
                <td width="230" height="21" align="left" valign="middle">
      <a href="http://www.rotzoll.de/podblogger">
      <img src="htmlContent/grafiken/podblogger_logo.gif" width="209" height="77" border="0" align="absmiddle"></a></td>
                <td align="left" valign="middle">
                <font size="6" face="Arial, Helvetica, sans-serif"><strong>
                <? print $text1; ?>
                </strong></font></td>
                <td width="120" align="center" valign="middle">
                <font size="2" face="Arial, Helvetica, sans-serif"><strong>
                <? print $text2; ?>
                </strong></font></td>
              </tr>
            </table>
          </div></td>
      </tr>
    </table>
    <font size="3" face="Arial, Helvetica, sans-serif"> <br>
  <?
  }

  function printEndline($content)
  {
  ?>
    <table width="100%" border="0" cellpadding="3" cellspacing="1" bordercolor="#000000" bgcolor="#000000">
      <tr>
        <td bgcolor="#FFFFFF"> <div align="left">
            <table width="100%" border="0" cellspacing="1" cellpadding="1">
              <tr>
                <td height="21" align="left" valign="middle">
                <font size="2" face="Arial, Helvetica, sans-serif">&nbsp;
                <? print $content; ?>
                </font></td>
                <td width="120" align="center" valign="middle">
                <font size="1" face="Arial, Helvetica, sans-serif">programmiert
                  von <br>
                  christian rotzoll</font></td>
              </tr>
            </table>
          </div></td>
      </tr>
    </table>
    <?
      if ($content != "")
      { ?>
            <font size="1" face="Arial, Helvetica, sans-serif">
            <br><a href="http://www.php-smarty.org" target="_blank"><img src="htmlContent/grafiken/smarty_icon.gif" border=0></a>&nbsp;podblogger nutzt die SMARTY-Template-Engine
            </font>
        <?
      }
  }

  function test_fopen()
  {
      // ---------------  TESTEN OB FOPEN funktioniert
      if (!@fopen(AUTO_RELAIS_SCRIPT,"r"))
      {
        if (!@fopen("http://".HTTP_BASISADRESSE."/rss.php","r"))
        { return FALSE; }
      }
      return TRUE;
  }

?>