<?
  #################################################
  # podblogger 0.4                                #
  # by Christian Rotzoll                          #
  #                                               #
  # christian.rotzoll@medien.uni-weimar.de        #
  # Doku unter http://www.rotzoll.de/podblogger   #
  #                                               #
  #################################################
  # getMedia-Script                               #
  #################################################

  # Dieses Script wird genutzt, um den Zugriff auf einzelne MP3-Dateien
  # zu protokollieren

  @require("include/funktions_sammlung.inc.php");
  @require("include/LogFile.class.php");

  // prfen, ob vielleicht nur ein log auf eine Datei ausgefhrt werden soll
  // wir z.B. vom Flash genutzt
  if (issetPostGet('log'))
  {
    if ($PODCAST_MP3_STATS == "JA")
    {
      $file = getPostGetText('log');
      $ip = $REMOTE_ADDR."|".gethostbyaddr($REMOTE_ADDR);
      LogFile::writeLog($file, $ip, "BROWSER");
      header("Content-type: application/x-www-form-urlencoded");
      print "antwort=ok";
      exit();
    }
  }

  // Parameter bernehmen
  if (issetPostGet('file')) {$file = getPostGetText('file');}
  else { exit("Parameter 'file' fehlt!");}
  if (issetPostGet('from')) {$from = getPostGetText('from');}
  else {$from = "RSS";}

  // security check if (just publicData directory is allowed for access)
  if (stristr($file,"publicData")===FALSE) {exit("sorry, invalid access");}
  if (!(stristr($file,"..")===FALSE))  {exit("sorry, invalid path (1)");}
  if (!(stristr($file,":\\")===FALSE)) {exit("sorry, invalid path (2)");}

  if ($PODCAST_RSS_STATS == "JA")
  {
    $ip = "no IP log";//$REMOTE_ADDR."|".gethostbyaddr($REMOTE_ADDR);
    LogFile::writeLog($file, $ip, $from);
  }

  $pfadTeile = explode("/",$file);
  $filename  = array_pop($pfadTeile);
  $dateinameTeile = explode(".",$filename);
  $endung = array_pop($dateinameTeile);
  if (strtolower($endung) == "mp3") { header("Content-type: audio/mpeg"); }
  header("Content-Disposition: attachment; filename=".$filename);
  readfile($file);
  //header("Location: http://".HTTP_BASISADRESSE.$file);
  exit;
?>