<?

## Datencontainer, in dem ein ein CGI-Relais verwaltet werden kann

define("AUTO_RELAIS_SCRIPT","http://m18.uni-weimar.de/~public/auto_cgiRelais/getRelais.php");

class cgiRelais {

  var $upLink    = "";
  var $downLink  = "";
  var $name 	 = "";
  var $home	 	 = "";
  var $traffic   = "";

  // ------------------------------------------------------------
  // Konstruktor
  // bentigt einen gltigen Link zu einem uploadscript
  // ------------------------------------------------------------
  function cgiRelais($basislink = "")
  {
    // hier normalerweise checken, ob realis-Adrese funktioniert
    $this->upLink = $basislink;

    // aus uploadscript den downlink konstruieren
    $teile = explode("/",$basislink);
    array_pop($teile);
    $this->downLink = implode("/",$teile)."/download.cgi";

    if ($basislink == "http://relais.podster.de/upload.cgi")
    {
      // dann Daten von Upload-Realis laden
      $this->name 	 = "podster.de - Das deutsche Podcasting Portal";
      $this->home	 	 = "http://www.podster.de";
      $this->traffic   = "-";
    }
    else
    {
      $this->name 	 = "-";
      $this->home	 	 = "-";
      $this->traffic   = "-";
    }
  }

  // ------------------------------------------------------------
  // Getter-Funktionen
  // ------------------------------------------------------------

  function getHttpAdress_Uploadscript()
  { return $this->upLink; }

  function getHttpAdress_Downloadscript()
  { return $this->downLink; }

  function getName()
  { return $this->name; }

  function getHome()
  { return $this->home; }

  function getTraffic()
  { return $this->traffic; }

  // ------------------------------------------------------------
  // Statische Funktionen
  // ------------------------------------------------------------

  // liefert ein Relais-Objekt direkt vom Auto-Relais-Script aus dem Netz
  function getRelaisFromNet($podblogger_version)
  {
    if ($fp = @fopen(AUTO_RELAIS_SCRIPT."?version=".urlencode($podblogger_version),"r"))
    {
      $text = @fread($fp,2056);
      @fclose($fp);
      return unserialize($text);
    }
    else
    {
      return FALSE;
    }
  }

  // prft die Erreichbarkeit eines cgi-Relais anhand des DOWNLINKS
  function test_cgiRelais($downlink)
  {
    // ---------------  TESTEN OB CGI-Upload-Relais funktioniert

    $perlantwort = "FALSE";
    $fp = @fopen($downlink."?request=perltest","r");
    $perlantwort = @fread($fp,128);
    @fclose($fp);

    if ($perlantwort=="TRUE")
    {
      return TRUE;
    }
    else
    {
      return FALSE;
    }
  }

  // prft, ob perl lokal funktioniert
  function lokalPerl()
  {
    if (isset($_SERVER['REQUEST_URI']))
    {
      $teile = explode("/",$_SERVER['REQUEST_URI']);
      array_pop($teile);
      $httpadr = $_SERVER['HTTP_HOST'] . implode("/",$teile)."/";
    }
    else if (isset($_SERVER['SCRIPT_NAME']))
    {
      $teile = explode("/",$_SERVER['SCRIPT_NAME']);
      array_pop($teile);
      $httpadr = $_SERVER['HTTP_HOST'] . implode("/",$teile)."/";
    }

    return cgiRelais::test_cgiRelais("http://".$httpadr."cgi-perl/download.cgi");
  }

}

?>