<?
 ################################################################
 # FUNKTIONSSAMMLUNG und INITIALISIERUNGS-PROZESSE
 # fr das podblogger-system
 # wird von fast jedem Podblogger-Script am Anfang eingebunden
 ################################################################

 // ------------------------------------------------------------
 // KONSTANTEN FESTLEGEN
 // ------------------------------------------------------------

 // HTTP_BASISADRESSE = Adresse des aktuellen Scriptes
 if (isset($_SERVER['REQUEST_URI']))
 {
   $teile = explode("/",$_SERVER['REQUEST_URI']);
   array_pop($teile);
   define("HTTP_BASISADRESSE",$_SERVER['HTTP_HOST'] . implode("/",$teile)."/");
 }
 else if (isset($_SERVER['SCRIPT_NAME']))
 {
   $teile = explode("/",$_SERVER['SCRIPT_NAME']);
   array_pop($teile);
   define("HTTP_BASISADRESSE",$_SERVER['HTTP_HOST'] . implode("/",$teile)."/");
 }

 // SMARTY KOSTANTEN
 define('SMARTYPATH_COMPILE','podbloggerData/smarty_compile/');
 define('SMARTYPATH_CONFIG'	,'podbloggerData/smarty_config/');
 define('SMARTYPATH_CACHE'	,'podbloggerData/smarty_cache/');


 ////////////////////////////////////////////////////////////////


 // ------------------------------------------------------------
 // LADEN UND INIT DER KONFIGURATIONSDATEI
 // ------------------------------------------------------------

    require("include/loadConfig.inc.php");

 ///////////////////////////////////////////////////////////////


 // ------------------------------------------------------------
 // AUFBEREITUNG VERSCHIEDNER WERTE AUS DER KONFIG-DATEI
 // ------------------------------------------------------------

 // http-Adresse dieses UPLOAD-Scriptes
  $PHP_CALLBACK_SCRIPT 	 = "http://" .HTTP_BASISADRESSE. "upload.php";

  // MB -> Byte
  $WEBSPACE_LIMIT = $WEBSPACE_LIMIT * (1024*1024);

 ///////////////////////////////////////////////////////////////


 // ------------------------------------------------------------
 // AUSGELAGERTE FUNKTIONEN
 // ------------------------------------------------------------

 // prft ob die der Parameter 'varname' mit POST oder GET dem Script bergeben wurde
 function issetPostGet($varname)
 {
   if ( isset($_POST[$varname]) )
   {
     return TRUE;
   }
   else if ( isset($_GET[$varname]) )
   {
     return TRUE;
   }
   return FALSE;
 }

 // gibt den STRING 'varname', der mit POST oder GET dem Script bergeben wurde, zurck
 function getPostGetText($varname)
 {
   if ( isset($_POST[$varname]) )
   {
     return stripslashes($_POST[$varname]);
   }
   else if ( isset($_GET[$varname]) )
   {
     return stripslashes($_GET[$varname]);
   }
   return "";
 }

 // gibt den INTEGER 'varname', der mit POST oder GET dem Script bergeben wurde, zurck
 function getPostGetInt($varname)
 {
   if ( isset($_POST[$varname]) )
   {
     return intval($_POST[$varname]);
   }
   else if ( isset($_GET[$varname]) )
   {
     return intval($_GET[$varname]);
   }
   return 0;
 }

  // Sucht in einem Array nach dem gegeben Wert
  function my_search_stringArray($searchValue, $array)
  {
    if (is_Array($array))
    {
      if (count($array) > 0)
      {
        for ($i=0;$i<count($array);$i++)
        {
          $array_value = $array[$i];
          if (is_String($array_value))
          {
            if ($array_value == $searchValue)
            {
              return TRUE;
            }
          }
        }
        return FALSE;
      }
      else
      {
        return FALSE;
      }
    }
    else
    {
      return FALSE;
    }
  }

   // liefert Array mit allen Datei der Endung aus dem Verzeichnis $dir zurck
  function getFilesFromDirWithEnding($dir,$ending)
  {
    $infDateien = array();
    if (is_string($dir))
    {
      if ($verzeichnis = opendir($dir))
      {
        while ($datei = readdir($verzeichnis))
        {
         $datNameTeile = explode(".",$datei);
         if (array_pop($datNameTeile) == $ending)
         { array_push($infDateien,$datei); }
        }
        closedir($verzeichnis);
      }
      else
      {
        //  die("Das Verzeichnis $dir kann nicht geffnet werden. Ggf. existiert es nicht.");
      }
    }
    return $infDateien;
  }

  // liefert Array mit allen Datei der Endung .htm oder .html aus dem Verzeichnis $dir zurck
  function getHtmlDats($dir)
  {
    $infDateien = array();
    $verzeichnis = opendir($dir);
    while ($datei = readdir($verzeichnis))
    {
     $datNameTeile = explode(".",$datei);
     $endung = array_pop($datNameTeile);
     if (($endung == "htm") || ($endung == "html"))
     { array_push($infDateien,$datei); }
    }
    closedir($verzeichnis);
    return $infDateien;
  }


  function getDateiEndung ($datei)
  {
     $datNameTeile = explode(".",$datei);
     return array_pop($datNameTeile);
  }

  function movefile($org,$target)
  {
    $forg = fopen($org,"rb");
    if ($ftar = fopen($target,"wb"))
    {
      while (!feof($forg))
      {
        fwrite($ftar,fread($forg,2048));
      }
      fclose($forg);
      fclose($ftar);
      @unlink($org);
    }
    else {die("FEHLER: Keine Schreibrechte oder kein Platz fr'".$target."'");}
  }

  function charfilter($data)
  {
    $ergebnis = "";
    $data = trim($data);
    for ($i=0; $i < strlen($data); $i++)
    {
      if (ord($data[$i]) >= 32 AND ord($data[$i]) <= 122)
      { $ergebnis = $ergebnis.$data[$i];}
    }
    return $ergebnis;
  }


  function sonderzeichenWandeln($str)
  {
    $str = str_replace("","ae",$str);
    $str = str_replace("","ue",$str);
    $str = str_replace("","oe",$str);
    $str = str_replace("","ss",$str);

    $str = str_replace('"',"-",$str);
    $str = str_replace("'","",$str);
    $str = str_replace("<br>"," ",$str);
    $str = str_replace("("," ",$str);
    $str = str_replace(")"," ",$str);


    return $str;
  }

  function array2string ($arraydata)
  {
    $outStr = "";
    if (is_array($arraydata))
    {
      $outStr = $outStr."(";
      foreach ($arraydata as $data)
      {
        $outStr = "/".$outStr.array2string($data);
      }
      $outStr = $outStr.")";
    }
    else
    {
      $outStr = $outStr.$arraydata;
    }
    return $outStr;
  }

  // die Gre aller mp3-Dateien in uploadData und publicData zusammenzhlen
  function getUsedWebspace()
  {
    $verbrauch = 0;
    $verzeichnis = opendir("uploadData");
    while ($datei = readdir($verzeichnis))
    {
      if (strtolower(getDateiEndung($datei)) == "mp3")
      {$verbrauch += filesize("uploadData/".$datei);}
    }
    closedir($verzeichnis);
    $verzeichnis = opendir("publicData");
    while ($datei = readdir($verzeichnis))
    {
      if (strtolower(getDateiEndung($datei)) == "mp3")
      {$verbrauch += filesize("publicData/".$datei);}
    }
    closedir($verzeichnis);
    return $verbrauch;
  }

  // Liefert ein HTML-TeilStck namens $name aus der Datei $datei zurck
  function getHtmlPart($datei,$name)
  {
    if ($lineArray = @file($datei))
    {
      $HTMLString = implode("",$lineArray);
      $partArray  = explode("<!-- HTMLPART:",$HTMLString);
      $str="";
      foreach ($partArray as $part)
      {
        if (strpos(strtolower($part),strtolower($name)) == 1) // wenn Teilstck mit dem Namen beginnt
        { return "<!-- HTMLPART: ".$part."<!-- ENDE HTMLPART $name -->"; }
      }
      return "<!-- PART $name IN $datei NOT FOUND -->";
    }
    else return "<!-- $datei NOT FOUND -->";
  }

  // Gibt eine Fehlermeldung aus der Datei "include/errors.htm"
  function printProblembeschreibung ($name)
  {
    print getHtmlPart("htmlContent/probleme.htm",$name);
  }

  // schreibt eine htaccess-datei in das angegebene Verzeichnis
  function write_htaccess($verzeichnis)
  {
    if ($fp = @fopen($verzeichnis.".htaccess","w"))
    {
      fwrite($fp,"Order deny,allow\n\rDeny from all\n\r");
      fclose($fp);
    }
  }

  function write_weiterleitung($ziel)
  {
  ?>
    <html>
    <head>
    <? print '<meta http-equiv="refresh" content="0; URL='.$ziel.'">'; ?>
    <title>...</title>
    </head>
    <body><br>
    <center>
    <? print '<a href="'.$ziel.'">'; ?>
    click ...</a></center>
    </body>
    </html>
  <?
  exit();
  }

  function loadPostGetString($name)
  {
    if (issetPostGet($name)) {$GLOBALS[$name]=getPostGetText($name);}
    else {die("FEHLER: Parameter '$name' fehlt.");}
  }

  function menuButtonStr($text, $link)
  {
    return '<strong>[</strong>&nbsp;<a href="'.$link.'">'.$text.'</a>&nbsp;<strong>]</strong>';
  }

  // Konvertiert einen Sting nach Muster dd.mm.yyy;hh:mm nach Unixzeit
  function getUnixTimeFromStr($date)
  {
    $parts = explode(";",$date,2);
    if (count($parts)==2)
    {
      $dateStr 	= $parts[0];
      $timeStr 	= $parts[1];
      $dateParts = explode(".",$dateStr,3);
      $timeParts = explode(":",$timeStr,2);

      // prfen,ob alles numerische daten sind
      if (!is_numeric($timeParts[0])) {return FALSE;}
      if (!is_numeric($timeParts[1])) {return FALSE;}
      if (!is_numeric($dateParts[0])) {return FALSE;}
      if (!is_numeric($dateParts[1])) {return FALSE;}
      if (!is_numeric($dateParts[2])) {return FALSE;}

      if ( (count($dateParts)==3) && (count($timeParts)==2) )
      {
        $unixTime = mktime($timeParts[0], $timeParts[1], 0, $dateParts[1], $dateParts[0], $dateParts[2]);
        if ((isset($unixTime)) && ($unixTime > 0))
        {
          return $unixTime;
        }
        else return FALSE;
      }
      else return FALSE;
    }
    else return FALSE;
  }
  
  // Vergleichsfunktion 
  function cmp ($a, $b) 
  {
   if ($a == $b) return 0;
   return ($a > $b) ? -1 : 1;
  }

?>